## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseasesqlmodelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybaseasesqlmodelPackageImpl

    public interface SybaseasesqlmodelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SybaseasesqlmodelFactory`

Nested Class Summary
`static interface` `SybaseasesqlmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ACCESS_RULE_TYPE` The meta object id for the '`Access Rule Type`' enum.
`static int` `CACHE_INFO` The meta object id for the '`Cache Info`' class.
`static int` `CACHE_INFO__CACHE` The feature id for the 'Cache' reference.
`static int` `CACHE_INFO__CACHE_STRATEGY` The feature id for the 'Cache Strategy' attribute.
`static int` `CACHE_INFO__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `CACHE_INFO__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `CACHE_INFO__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `CACHE_INFO__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CACHE_INFO__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `CACHE_INFO__LABEL` The feature id for the 'Label' attribute.
`static int` `CACHE_INFO__NAME` The feature id for the 'Name' attribute.
`static int` `CACHE_INFO__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `CACHE_INFO_FEATURE_COUNT` The number of structural features of the 'Cache Info' class.
`static int` `CACHE_STRATEGY_TYPE` The meta object id for the '`Cache Strategy Type`' enum.
`static int` `DEVICE_ITEM` The meta object id for the '`Device Item`' class.
`static int` `DEVICE_ITEM__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DEVICE_ITEM__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DEVICE_ITEM__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DEVICE_ITEM__DEVICE_NAME` The feature id for the 'Device Name' attribute.
`static int` `DEVICE_ITEM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DEVICE_ITEM__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `DEVICE_ITEM__LABEL` The feature id for the 'Label' attribute.
`static int` `DEVICE_ITEM__NAME` The feature id for the 'Name' attribute.
`static int` `DEVICE_ITEM__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DEVICE_ITEM__SIZE` The feature id for the 'Size' attribute.
`static int` `DEVICE_ITEM_FEATURE_COUNT` The number of structural features of the 'Device Item' class.
`static SybaseasesqlmodelPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `LOCK_PROMOTION_INFO` The meta object id for the '`Lock Promotion Info`' class.
`static int` `LOCK_PROMOTION_INFO__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `LOCK_PROMOTION_INFO__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `LOCK_PROMOTION_INFO__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `LOCK_PROMOTION_INFO__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `LOCK_PROMOTION_INFO__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `LOCK_PROMOTION_INFO__HWM` The feature id for the 'HWM' attribute.
`static int` `LOCK_PROMOTION_INFO__LABEL` The feature id for the 'Label' attribute.
`static int` `LOCK_PROMOTION_INFO__LWM` The feature id for the 'LWM' attribute.
`static int` `LOCK_PROMOTION_INFO__NAME` The feature id for the 'Name' attribute.
`static int` `LOCK_PROMOTION_INFO__PCT` The feature id for the 'PCT' attribute.
`static int` `LOCK_PROMOTION_INFO__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `LOCK_PROMOTION_INFO__ROW_LOCK_PROMOTION` The feature id for the 'Row Lock Promotion' attribute.
`static int` `LOCK_PROMOTION_INFO_FEATURE_COUNT` The number of structural features of the 'Lock Promotion Info' class.
`static int` `LOCKING_SCHEMA_TYPE` The meta object id for the '`Locking Schema Type`' enum.
`static int` `PROXY_TABLE_EXTERNAL_TYPE` The meta object id for the '`Proxy Table External Type`' enum.
`static int` `SEGMENT_THRESHOLD` The meta object id for the '`Segment Threshold`' class.
`static int` `SEGMENT_THRESHOLD__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SEGMENT_THRESHOLD__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SEGMENT_THRESHOLD__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SEGMENT_THRESHOLD__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SEGMENT_THRESHOLD__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SEGMENT_THRESHOLD__FREE_SPACE` The feature id for the 'Free Space' attribute.
`static int` `SEGMENT_THRESHOLD__LABEL` The feature id for the 'Label' attribute.
`static int` `SEGMENT_THRESHOLD__NAME` The feature id for the 'Name' attribute.
`static int` `SEGMENT_THRESHOLD__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SEGMENT_THRESHOLD__PROCEDURE_NAME` The feature id for the 'Procedure Name' attribute.
`static int` `SEGMENT_THRESHOLD_FEATURE_COUNT` The number of structural features of the 'Segment Threshold' class.
`static int` `SYBASE_ASE_BASE_TABLE` The meta object id for the '`Sybase ASE Base Table`' class.
`static int` `SYBASE_ASE_BASE_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASE_BASE_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_BASE_TABLE__CONCURRENCY_OPT_THRESHOLD` The feature id for the 'Concurrency Opt Threshold' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASE_BASE_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_BASE_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_BASE_TABLE__EXP_ROW_SIZE` The feature id for the 'Exp Row Size' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_BASE_TABLE__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__IDENTITY_GAP` The feature id for the 'Identity Gap' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASE_BASE_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__LOCK_PROMOTION` The feature id for the 'Lock Promotion' containment reference list.
`static int` `SYBASE_ASE_BASE_TABLE__LOCK_SCHEMA` The feature id for the 'Lock Schema' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__MAX_ROW_PER_PAGE` The feature id for the 'Max Row Per Page' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__PARTITION_CONDITION` The feature id for the 'Partition Condition' containment reference.
`static int` `SYBASE_ASE_BASE_TABLE__PARTITIONS` The feature id for the 'Partitions' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASE_BASE_TABLE__RESERVE_PAGE_GAP` The feature id for the 'Reserve Page Gap' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_BASE_TABLE__SEGMENT` The feature id for the 'Segment' reference.
`static int` `SYBASE_ASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASE_BASE_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASE_BASE_TABLE__SYSTEM_TABLE` The feature id for the 'System Table' attribute.
`static int` `SYBASE_ASE_BASE_TABLE__TABLE_ONLY_CACHE_INFO` The feature id for the 'Table Only Cache Info' containment reference.
`static int` `SYBASE_ASE_BASE_TABLE__TEXT_IMAGE_SEGMENT` The feature id for the 'Text Image Segment' reference.
`static int` `SYBASE_ASE_BASE_TABLE__TEXT_ONLY_CACHE_INFO` The feature id for the 'Text Only Cache Info' containment reference.
`static int` `SYBASE_ASE_BASE_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASE_BASE_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASE_BASE_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASE_BASE_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Base Table' class.
`static int` `SYBASE_ASE_CACHE` The meta object id for the '`Sybase ASE Cache`' class.
`static int` `SYBASE_ASE_CACHE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_CACHE__DATABASE` The feature id for the 'Database' container reference.
`static int` `SYBASE_ASE_CACHE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_CACHE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_CACHE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_CACHE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_CACHE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_CACHE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_CACHE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_CACHE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Cache' class.
`static int` `SYBASE_ASE_CATALOG` The meta object id for the '`Sybase ASE Catalog`' class.
`static int` `SYBASE_ASE_CATALOG__AUTHORIZATION_IDS` The feature id for the 'Authorization Ids' reference list.
`static int` `SYBASE_ASE_CATALOG__CACHE` The feature id for the 'Cache' reference.
`static int` `SYBASE_ASE_CATALOG__CATALOG_TYPE` The feature id for the 'Catalog Type' attribute.
`static int` `SYBASE_ASE_CATALOG__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_CATALOG__DATA_DEVICES` The feature id for the 'Data Devices' reference list.
`static int` `SYBASE_ASE_CATALOG__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASE_CATALOG__DEFAULT_LOCATION` The feature id for the 'Default Location' attribute.
`static int` `SYBASE_ASE_CATALOG__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_CATALOG__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_CATALOG__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_CATALOG__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_CATALOG__FOR_LOAD` The feature id for the 'For Load' attribute.
`static int` `SYBASE_ASE_CATALOG__FOR_PROXY_UPDATE` The feature id for the 'For Proxy Update' attribute.
`static int` `SYBASE_ASE_CATALOG__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_CATALOG__LOG_DEVICES` The feature id for the 'Log Devices' reference list.
`static int` `SYBASE_ASE_CATALOG__LOG_IO_SIZE` The feature id for the 'Log IO Size' attribute.
`static int` `SYBASE_ASE_CATALOG__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_CATALOG__OVERRIDE` The feature id for the 'Override' attribute.
`static int` `SYBASE_ASE_CATALOG__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_CATALOG__RECOVERY_ORDER` The feature id for the 'Recovery Order' attribute.
`static int` `SYBASE_ASE_CATALOG__SCHEMAS` The feature id for the 'Schemas' reference list.
`static int` `SYBASE_ASE_CATALOG__SEGMENTS` The feature id for the 'Segments' containment reference list.
`static int` `SYBASE_ASE_CATALOG_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Catalog' class.
`static int` `SYBASE_ASE_CATALOG_TYPE` The meta object id for the '`Sybase ASE Catalog Type`' enum.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT` The meta object id for the '`Sybase ASE Check Constraint`' class.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__CREATOR` The feature id for the 'Creator' reference.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT__SEARCH_CONDITION` The feature id for the 'Search Condition' containment reference.
`static int` `SYBASE_ASE_CHECK_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Check Constraint' class.
`static int` `SYBASE_ASE_COLUMN` The meta object id for the '`Sybase ASE Column`' class.
`static int` `SYBASE_ASE_COLUMN__BIND_DEFAULT_IN_FUTURE_ONLY` The feature id for the 'Bind Default In Future Only' attribute.
`static int` `SYBASE_ASE_COLUMN__BIND_RULE_IN_FUTURE_ONLY` The feature id for the 'Bind Rule In Future Only' attribute.
`static int` `SYBASE_ASE_COLUMN__BOUND_DEFAULT` The feature id for the 'Bound Default' reference.
`static int` `SYBASE_ASE_COLUMN__BOUND_RULE` The feature id for the 'Bound Rule' reference.
`static int` `SYBASE_ASE_COLUMN__COLUMN_CHECK` The feature id for the 'Column Check' reference.
`static int` `SYBASE_ASE_COLUMN__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_COLUMN__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `SYBASE_ASE_COLUMN__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `SYBASE_ASE_COLUMN__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_COLUMN__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_COLUMN__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_COLUMN__ENCRYPTION_KEY` The feature id for the 'Encryption Key' reference.
`static int` `SYBASE_ASE_COLUMN__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_COLUMN__GENERATE_EXPRESSION` The feature id for the 'Generate Expression' containment reference.
`static int` `SYBASE_ASE_COLUMN__HIDDEN` The feature id for the 'Hidden' attribute.
`static int` `SYBASE_ASE_COLUMN__IDENTITY_SPECIFIER` The feature id for the 'Identity Specifier' containment reference.
`static int` `SYBASE_ASE_COLUMN__IMPLEMENTATION_DEPENDENT` The feature id for the 'Implementation Dependent' attribute.
`static int` `SYBASE_ASE_COLUMN__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_COLUMN__MATERIALIZED` The feature id for the 'Materialized' attribute.
`static int` `SYBASE_ASE_COLUMN__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_COLUMN__NULLABLE` The feature id for the 'Nullable' attribute.
`static int` `SYBASE_ASE_COLUMN__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_COLUMN__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `SYBASE_ASE_COLUMN__SCOPE_CHECK` The feature id for the 'Scope Check' attribute.
`static int` `SYBASE_ASE_COLUMN__SCOPE_CHECKED` The feature id for the 'Scope Checked' attribute.
`static int` `SYBASE_ASE_COLUMN__TABLE` The feature id for the 'Table' container reference.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT` The meta object id for the '`Sybase ASE Column Check Constraint`' class.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COLUMN` The feature id for the 'Column' reference.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__CREATOR` The feature id for the 'Creator' reference.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION` The feature id for the 'Search Condition' containment reference.
`static int` `SYBASE_ASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Column Check Constraint' class.
`static int` `SYBASE_ASE_COLUMN_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Column' class.
`static int` `SYBASE_ASE_DATABASE` The meta object id for the '`Sybase ASE Database`' class.
`static int` `SYBASE_ASE_DATABASE__AUTHORIZATION_IDS` The feature id for the 'Authorization Ids' reference list.
`static int` `SYBASE_ASE_DATABASE__CACHES` The feature id for the 'Caches' containment reference list.
`static int` `SYBASE_ASE_DATABASE__CATALOGS` The feature id for the 'Catalogs' reference list.
`static int` `SYBASE_ASE_DATABASE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_DATABASE__DATA_TYPES` The feature id for the 'Data Types' reference list.
`static int` `SYBASE_ASE_DATABASE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_DATABASE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_DATABASE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_DATABASE__ENCRYPTION_KEY_APPLICABLE` The feature id for the 'Encryption Key Applicable' attribute.
`static int` `SYBASE_ASE_DATABASE__EVENTS` The feature id for the 'Events' reference list.
`static int` `SYBASE_ASE_DATABASE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_DATABASE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_DATABASE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_DATABASE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_DATABASE__ROLES` The feature id for the 'Roles' reference list.
`static int` `SYBASE_ASE_DATABASE__SCHEMAS` The feature id for the 'Schemas' reference list.
`static int` `SYBASE_ASE_DATABASE__SDS_SERVER` The feature id for the 'Sds Server' attribute list.
`static int` `SYBASE_ASE_DATABASE__TEMP_DB_NAME` The feature id for the 'Temp DB Name' attribute.
`static int` `SYBASE_ASE_DATABASE__VENDOR` The feature id for the 'Vendor' attribute.
`static int` `SYBASE_ASE_DATABASE__VERSION` The feature id for the 'Version' attribute.
`static int` `SYBASE_ASE_DATABASE__WEB_SERVICES` The feature id for the 'Web Services' containment reference list.
`static int` `SYBASE_ASE_DATABASE__WEBSERVICE_APPLICABLE` The feature id for the 'Webservice Applicable' attribute.
`static int` `SYBASE_ASE_DATABASE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Database' class.
`static int` `SYBASE_ASE_DEFAULT` The meta object id for the '`Sybase ASE Default`' class.
`static int` `SYBASE_ASE_DEFAULT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_DEFAULT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_DEFAULT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_DEFAULT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_DEFAULT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_DEFAULT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_DEFAULT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_DEFAULT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_DEFAULT__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_DEFAULT__STATEMENT` The feature id for the 'Statement' attribute.
`static int` `SYBASE_ASE_DEFAULT_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Default' class.
`static int` `SYBASE_ASE_ENCRYPTION_KEY` The meta object id for the '`Sybase ASE Encryption Key`' class.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_ENCRYPTION_KEY__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_ENCRYPTION_KEY_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Encryption Key' class.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER` The meta object id for the '`Sybase ASE Func Based Index Member`' class.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN` The feature id for the 'Column' reference.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN_EXPRESSION` The feature id for the 'Column Expression' attribute.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__INCREMENT_TYPE` The feature id for the 'Increment Type' attribute.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_FUNC_BASED_INDEX_MEMBER_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Func Based Index Member' class.
`static int` `SYBASE_ASE_GROUP` The meta object id for the '`Sybase ASE Group`' class.
`static int` `SYBASE_ASE_GROUP__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_GROUP__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASE_GROUP__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_GROUP__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_GROUP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_GROUP__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_GROUP__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `SYBASE_ASE_GROUP__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `SYBASE_ASE_GROUP__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_GROUP__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_GROUP__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `SYBASE_ASE_GROUP__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_GROUP__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `SYBASE_ASE_GROUP__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `SYBASE_ASE_GROUP__SQL_CONTAINER` The feature id for the 'Sql Container' reference.
`static int` `SYBASE_ASE_GROUP__USER` The feature id for the 'User' reference list.
`static int` `SYBASE_ASE_GROUP_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Group' class.
`static int` `SYBASE_ASE_INDEX` The meta object id for the '`Sybase ASE Index`' class.
`static int` `SYBASE_ASE_INDEX__ALLOW_DUPLICATE_ROW` The feature id for the 'Allow Duplicate Row' attribute.
`static int` `SYBASE_ASE_INDEX__CACHE_INFO` The feature id for the 'Cache Info' containment reference.
`static int` `SYBASE_ASE_INDEX__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `SYBASE_ASE_INDEX__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_INDEX__CONSUMER_NUM` The feature id for the 'Consumer Num' attribute.
`static int` `SYBASE_ASE_INDEX__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_INDEX__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_INDEX__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_INDEX__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_INDEX__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASE_INDEX__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `SYBASE_ASE_INDEX__IGNORE_DUPLICATE_KEY` The feature id for the 'Ignore Duplicate Key' attribute.
`static int` `SYBASE_ASE_INDEX__IGNORE_DUPLICATE_ROW` The feature id for the 'Ignore Duplicate Row' attribute.
`static int` `SYBASE_ASE_INDEX__INCLUDED_MEMBERS` The feature id for the 'Included Members' containment reference list.
`static int` `SYBASE_ASE_INDEX__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_INDEX__LOCAL_INDEX` The feature id for the 'Local Index' attribute.
`static int` `SYBASE_ASE_INDEX__MAX_ROW_PER_PAGE` The feature id for the 'Max Row Per Page' attribute.
`static int` `SYBASE_ASE_INDEX__MEMBERS` The feature id for the 'Members' containment reference list.
`static int` `SYBASE_ASE_INDEX__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_INDEX__PARTITIONS` The feature id for the 'Partitions' containment reference list.
`static int` `SYBASE_ASE_INDEX__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_INDEX__REVERSE_PAGE_GAP` The feature id for the 'Reverse Page Gap' attribute.
`static int` `SYBASE_ASE_INDEX__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_INDEX__SEGMENT` The feature id for the 'Segment' reference.
`static int` `SYBASE_ASE_INDEX__SORTED_DATA` The feature id for the 'Sorted Data' attribute.
`static int` `SYBASE_ASE_INDEX__STATISTICS_STEP` The feature id for the 'Statistics Step' attribute.
`static int` `SYBASE_ASE_INDEX__SUSPECT` The feature id for the 'Suspect' attribute.
`static int` `SYBASE_ASE_INDEX__SYSTEM_GENERATED` The feature id for the 'System Generated' attribute.
`static int` `SYBASE_ASE_INDEX__TABLE` The feature id for the 'Table' reference.
`static int` `SYBASE_ASE_INDEX__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `SYBASE_ASE_INDEX_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Index' class.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE` The meta object id for the '`Sybase ASE Predefined Data Type`' class.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Predefined Data Type' class.
`static int` `SYBASE_ASE_PRIMARY_KEY` The meta object id for the '`Sybase ASE Primary Key`' class.
`static int` `SYBASE_ASE_PRIMARY_KEY__ASE_UNIQUE_CONSTRAINT` The feature id for the 'Ase Unique Constraint' containment reference.
`static int` `SYBASE_ASE_PRIMARY_KEY__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASE_PRIMARY_KEY__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_PRIMARY_KEY__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASE_PRIMARY_KEY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_PRIMARY_KEY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_PRIMARY_KEY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_PRIMARY_KEY__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASE_PRIMARY_KEY__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_PRIMARY_KEY__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `SYBASE_ASE_PRIMARY_KEY__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASE_PRIMARY_KEY__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_PRIMARY_KEY__MEMBERS` The feature id for the 'Members' reference list.
`static int` `SYBASE_ASE_PRIMARY_KEY__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_PRIMARY_KEY__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_PRIMARY_KEY_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Primary Key' class.
`static int` `SYBASE_ASE_PRIVILEGE` The meta object id for the '`Sybase ASE Privilege`' class.
`static int` `SYBASE_ASE_PRIVILEGE__ACTION` The feature id for the 'Action' attribute.
`static int` `SYBASE_ASE_PRIVILEGE__ACTION_OBJECTS` The feature id for the 'Action Objects' reference list.
`static int` `SYBASE_ASE_PRIVILEGE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_PRIVILEGE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_PRIVILEGE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_PRIVILEGE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_PRIVILEGE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_PRIVILEGE__GRANTABLE` The feature id for the 'Grantable' attribute.
`static int` `SYBASE_ASE_PRIVILEGE__GRANTEE` The feature id for the 'Grantee' container reference.
`static int` `SYBASE_ASE_PRIVILEGE__GRANTOR` The feature id for the 'Grantor' reference.
`static int` `SYBASE_ASE_PRIVILEGE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_PRIVILEGE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_PRIVILEGE__OBJECT` The feature id for the 'Object' reference.
`static int` `SYBASE_ASE_PRIVILEGE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_PRIVILEGE__REVOKED` The feature id for the 'Revoked' attribute.
`static int` `SYBASE_ASE_PRIVILEGE__WITH_HIERARCHY` The feature id for the 'With Hierarchy' attribute.
`static int` `SYBASE_ASE_PRIVILEGE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Privilege' class.
`static int` `SYBASE_ASE_PROCEDURE` The meta object id for the '`Sybase ASE Procedure`' class.
`static int` `SYBASE_ASE_PROCEDURE__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `SYBASE_ASE_PROCEDURE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_PROCEDURE__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `SYBASE_ASE_PROCEDURE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_PROCEDURE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_PROCEDURE__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `SYBASE_ASE_PROCEDURE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_PROCEDURE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_PROCEDURE__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `SYBASE_ASE_PROCEDURE__GROUP_NUMBER` The feature id for the 'Group Number' attribute.
`static int` `SYBASE_ASE_PROCEDURE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_PROCEDURE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `SYBASE_ASE_PROCEDURE__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `SYBASE_ASE_PROCEDURE__MAX_RESULT_SETS` The feature id for the 'Max Result Sets' attribute.
`static int` `SYBASE_ASE_PROCEDURE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_PROCEDURE__OLD_SAVE_POINT` The feature id for the 'Old Save Point' attribute.
`static int` `SYBASE_ASE_PROCEDURE__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `SYBASE_ASE_PROCEDURE__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `SYBASE_ASE_PROCEDURE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_PROCEDURE__RESULT_SET` The feature id for the 'Result Set' containment reference list.
`static int` `SYBASE_ASE_PROCEDURE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_PROCEDURE__SECURITY` The feature id for the 'Security' attribute.
`static int` `SYBASE_ASE_PROCEDURE__SOURCE` The feature id for the 'Source' containment reference.
`static int` `SYBASE_ASE_PROCEDURE__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `SYBASE_ASE_PROCEDURE__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `SYBASE_ASE_PROCEDURE__SYSTEM_PROCEDURE` The feature id for the 'System Procedure' attribute.
`static int` `SYBASE_ASE_PROCEDURE__TRANSACTION_MODE` The feature id for the 'Transaction Mode' attribute.
`static int` `SYBASE_ASE_PROCEDURE__WITH_RECOMPILE` The feature id for the 'With Recompile' attribute.
`static int` `SYBASE_ASE_PROCEDURE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Procedure' class.
`static int` `SYBASE_ASE_PROXY_TABLE` The meta object id for the '`Sybase ASE Proxy Table`' class.
`static int` `SYBASE_ASE_PROXY_TABLE__COLUMN_DELIMITER` The feature id for the 'Column Delimiter' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__CONCURRENCY_OPT_THRESHOLD` The feature id for the 'Concurrency Opt Threshold' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__EXISTING` The feature id for the 'Existing' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__EXP_ROW_SIZE` The feature id for the 'Exp Row Size' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__EXTERNAL_PATH` The feature id for the 'External Path' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__EXTERNAL_TYPE` The feature id for the 'External Type' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__IDENTITY_GAP` The feature id for the 'Identity Gap' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__LOCK_PROMOTION` The feature id for the 'Lock Promotion' containment reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__LOCK_SCHEMA` The feature id for the 'Lock Schema' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__MAX_ROW_PER_PAGE` The feature id for the 'Max Row Per Page' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__PARTITION_CONDITION` The feature id for the 'Partition Condition' containment reference.
`static int` `SYBASE_ASE_PROXY_TABLE__PARTITIONS` The feature id for the 'Partitions' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__RESERVE_PAGE_GAP` The feature id for the 'Reserve Page Gap' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_PROXY_TABLE__SEGMENT` The feature id for the 'Segment' reference.
`static int` `SYBASE_ASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASE_PROXY_TABLE__SYSTEM_TABLE` The feature id for the 'System Table' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE__TABLE_ONLY_CACHE_INFO` The feature id for the 'Table Only Cache Info' containment reference.
`static int` `SYBASE_ASE_PROXY_TABLE__TEXT_IMAGE_SEGMENT` The feature id for the 'Text Image Segment' reference.
`static int` `SYBASE_ASE_PROXY_TABLE__TEXT_ONLY_CACHE_INFO` The feature id for the 'Text Only Cache Info' containment reference.
`static int` `SYBASE_ASE_PROXY_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASE_PROXY_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASE_PROXY_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASE_PROXY_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Proxy Table' class.
`static int` `SYBASE_ASE_ROLE` The meta object id for the '`Sybase ASE Role`' class.
`static int` `SYBASE_ASE_ROLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_ROLE__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASE_ROLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_ROLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_ROLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_ROLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_ROLE__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `SYBASE_ASE_ROLE__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `SYBASE_ASE_ROLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_ROLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_ROLE__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `SYBASE_ASE_ROLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_ROLE__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `SYBASE_ASE_ROLE__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `SYBASE_ASE_ROLE__ROLE_AUTHORIZATION` The feature id for the 'Role Authorization' reference list.
`static int` `SYBASE_ASE_ROLE__SQL_CONTAINER` The feature id for the 'Sql Container' reference.
`static int` `SYBASE_ASE_ROLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Role' class.
`static int` `SYBASE_ASE_RULE` The meta object id for the '`Sybase ASE Rule`' class.
`static int` `SYBASE_ASE_RULE__ACCESS_RULE` The feature id for the 'Access Rule' attribute.
`static int` `SYBASE_ASE_RULE__ACCESS_TYPE` The feature id for the 'Access Type' attribute.
`static int` `SYBASE_ASE_RULE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_RULE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_RULE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_RULE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_RULE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_RULE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_RULE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_RULE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_RULE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_RULE__STATEMENT` The feature id for the 'Statement' attribute.
`static int` `SYBASE_ASE_RULE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Rule' class.
`static int` `SYBASE_ASE_SCHEMA` The meta object id for the '`Sybase ASE Schema`' class.
`static int` `SYBASE_ASE_SCHEMA__ASSERTIONS` The feature id for the 'Assertions' reference list.
`static int` `SYBASE_ASE_SCHEMA__CATALOG` The feature id for the 'Catalog' reference.
`static int` `SYBASE_ASE_SCHEMA__CHAR_SETS` The feature id for the 'Char Sets' reference list.
`static int` `SYBASE_ASE_SCHEMA__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_SCHEMA__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASE_SCHEMA__DEFAULTS` The feature id for the 'Defaults' reference list.
`static int` `SYBASE_ASE_SCHEMA__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_SCHEMA__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_SCHEMA__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_SCHEMA__ENCRYPTION_KEYS` The feature id for the 'Encryption Keys' reference list.
`static int` `SYBASE_ASE_SCHEMA__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_SCHEMA__INDICES` The feature id for the 'Indices' reference list.
`static int` `SYBASE_ASE_SCHEMA__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_SCHEMA__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_SCHEMA__OWNER` The feature id for the 'Owner' reference.
`static int` `SYBASE_ASE_SCHEMA__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_SCHEMA__ROUTINES` The feature id for the 'Routines' reference list.
`static int` `SYBASE_ASE_SCHEMA__RULES` The feature id for the 'Rules' reference list.
`static int` `SYBASE_ASE_SCHEMA__SEQUENCES` The feature id for the 'Sequences' reference list.
`static int` `SYBASE_ASE_SCHEMA__TABLES` The feature id for the 'Tables' reference list.
`static int` `SYBASE_ASE_SCHEMA__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASE_SCHEMA__USER_DEFINED_TYPES` The feature id for the 'User Defined Types' reference list.
`static int` `SYBASE_ASE_SCHEMA_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Schema' class.
`static int` `SYBASE_ASE_SEGMENT` The meta object id for the '`Sybase ASE Segment`' class.
`static int` `SYBASE_ASE_SEGMENT__CATALOG` The feature id for the 'Catalog' container reference.
`static int` `SYBASE_ASE_SEGMENT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_SEGMENT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_SEGMENT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_SEGMENT__DEVICE_NAMES` The feature id for the 'Device Names' attribute list.
`static int` `SYBASE_ASE_SEGMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_SEGMENT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_SEGMENT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_SEGMENT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_SEGMENT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_SEGMENT__THRESHOLDS` The feature id for the 'Thresholds' reference list.
`static int` `SYBASE_ASE_SEGMENT_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Segment' class.
`static int` `SYBASE_ASE_TABLE` The meta object id for the '`Sybase ASE Table`' class.
`static int` `SYBASE_ASE_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASE_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_TABLE__CONCURRENCY_OPT_THRESHOLD` The feature id for the 'Concurrency Opt Threshold' attribute.
`static int` `SYBASE_ASE_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASE_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_TABLE__EXP_ROW_SIZE` The feature id for the 'Exp Row Size' attribute.
`static int` `SYBASE_ASE_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_TABLE__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASE_TABLE__IDENTITY_GAP` The feature id for the 'Identity Gap' attribute.
`static int` `SYBASE_ASE_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASE_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASE_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_TABLE__LOCK_PROMOTION` The feature id for the 'Lock Promotion' containment reference list.
`static int` `SYBASE_ASE_TABLE__LOCK_SCHEMA` The feature id for the 'Lock Schema' attribute.
`static int` `SYBASE_ASE_TABLE__MAX_ROW_PER_PAGE` The feature id for the 'Max Row Per Page' attribute.
`static int` `SYBASE_ASE_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_TABLE__PARTITION_CONDITION` The feature id for the 'Partition Condition' containment reference.
`static int` `SYBASE_ASE_TABLE__PARTITIONS` The feature id for the 'Partitions' attribute.
`static int` `SYBASE_ASE_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASE_TABLE__RESERVE_PAGE_GAP` The feature id for the 'Reserve Page Gap' attribute.
`static int` `SYBASE_ASE_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_TABLE__SEGMENT` The feature id for the 'Segment' reference.
`static int` `SYBASE_ASE_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASE_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASE_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASE_TABLE__SYSTEM_TABLE` The feature id for the 'System Table' attribute.
`static int` `SYBASE_ASE_TABLE__TABLE_ONLY_CACHE_INFO` The feature id for the 'Table Only Cache Info' containment reference.
`static int` `SYBASE_ASE_TABLE__TEXT_IMAGE_SEGMENT` The feature id for the 'Text Image Segment' reference.
`static int` `SYBASE_ASE_TABLE__TEXT_ONLY_CACHE_INFO` The feature id for the 'Text Only Cache Info' containment reference.
`static int` `SYBASE_ASE_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASE_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASE_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASE_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Table' class.
`static int` `SYBASE_ASE_TEMP_TABLE` The meta object id for the '`Sybase ASE Temp Table`' class.
`static int` `SYBASE_ASE_TEMP_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__CONCURRENCY_OPT_THRESHOLD` The feature id for the 'Concurrency Opt Threshold' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__DELETE_ON_COMMIT` The feature id for the 'Delete On Commit' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__EXP_ROW_SIZE` The feature id for the 'Exp Row Size' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__IDENTITY_GAP` The feature id for the 'Identity Gap' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__LOCAL` The feature id for the 'Local' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__LOCK_PROMOTION` The feature id for the 'Lock Promotion' containment reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__LOCK_SCHEMA` The feature id for the 'Lock Schema' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__MAX_ROW_PER_PAGE` The feature id for the 'Max Row Per Page' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__PARTITION_CONDITION` The feature id for the 'Partition Condition' containment reference.
`static int` `SYBASE_ASE_TEMP_TABLE__PARTITIONS` The feature id for the 'Partitions' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__RESERVE_PAGE_GAP` The feature id for the 'Reserve Page Gap' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_TEMP_TABLE__SEGMENT` The feature id for the 'Segment' reference.
`static int` `SYBASE_ASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASE_TEMP_TABLE__SYSTEM_TABLE` The feature id for the 'System Table' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE__TABLE_ONLY_CACHE_INFO` The feature id for the 'Table Only Cache Info' containment reference.
`static int` `SYBASE_ASE_TEMP_TABLE__TEXT_IMAGE_SEGMENT` The feature id for the 'Text Image Segment' reference.
`static int` `SYBASE_ASE_TEMP_TABLE__TEXT_ONLY_CACHE_INFO` The feature id for the 'Text Only Cache Info' containment reference.
`static int` `SYBASE_ASE_TEMP_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASE_TEMP_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASE_TEMP_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASE_TEMP_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Temp Table' class.
`static int` `SYBASE_ASE_TRIGGER` The meta object id for the '`Sybase ASE Trigger`' class.
`static int` `SYBASE_ASE_TRIGGER__ACTION_GRANULARITY` The feature id for the 'Action Granularity' attribute.
`static int` `SYBASE_ASE_TRIGGER__ACTION_STATEMENT` The feature id for the 'Action Statement' containment reference list.
`static int` `SYBASE_ASE_TRIGGER__ACTION_TIME` The feature id for the 'Action Time' attribute.
`static int` `SYBASE_ASE_TRIGGER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_TRIGGER__DELETE_TYPE` The feature id for the 'Delete Type' attribute.
`static int` `SYBASE_ASE_TRIGGER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_TRIGGER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_TRIGGER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_TRIGGER__ENABLED` The feature id for the 'Enabled' attribute.
`static int` `SYBASE_ASE_TRIGGER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_TRIGGER__INSERT_TYPE` The feature id for the 'Insert Type' attribute.
`static int` `SYBASE_ASE_TRIGGER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_TRIGGER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_TRIGGER__NEW_ROW` The feature id for the 'New Row' attribute.
`static int` `SYBASE_ASE_TRIGGER__NEW_TABLE` The feature id for the 'New Table' attribute.
`static int` `SYBASE_ASE_TRIGGER__OLD_ROW` The feature id for the 'Old Row' attribute.
`static int` `SYBASE_ASE_TRIGGER__OLD_TABLE` The feature id for the 'Old Table' attribute.
`static int` `SYBASE_ASE_TRIGGER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_TRIGGER__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_TRIGGER__SUBJECT_TABLE` The feature id for the 'Subject Table' reference.
`static int` `SYBASE_ASE_TRIGGER__TIME_STAMP` The feature id for the 'Time Stamp' attribute.
`static int` `SYBASE_ASE_TRIGGER__TRIGGER_COLUMN` The feature id for the 'Trigger Column' reference list.
`static int` `SYBASE_ASE_TRIGGER__UPDATE_TYPE` The feature id for the 'Update Type' attribute.
`static int` `SYBASE_ASE_TRIGGER__WHEN` The feature id for the 'When' containment reference.
`static int` `SYBASE_ASE_TRIGGER_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Trigger' class.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT` The meta object id for the '`Sybase ASE Unique Constraint`' class.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__MEMBERS` The feature id for the 'Members' reference list.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_INDEX` The feature id for the 'System Gened Index' containment reference.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_NAME` The feature id for the 'System Gened Name' attribute.
`static int` `SYBASE_ASE_UNIQUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Unique Constraint' class.
`static int` `SYBASE_ASE_USER` The meta object id for the '`Sybase ASE User`' class.
`static int` `SYBASE_ASE_USER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_USER__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_ASE_USER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_USER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_USER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_USER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_USER__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `SYBASE_ASE_USER__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `SYBASE_ASE_USER__GROUP` The feature id for the 'Group' reference list.
`static int` `SYBASE_ASE_USER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_USER__LOGIN_NAME` The feature id for the 'Login Name' attribute.
`static int` `SYBASE_ASE_USER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_USER__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `SYBASE_ASE_USER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_USER__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `SYBASE_ASE_USER__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `SYBASE_ASE_USER__SQL_CONTAINER` The feature id for the 'Sql Container' reference.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE` The meta object id for the '`Sybase ASE User Defined Type`' class.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__ALLOW_NULLS` The feature id for the 'Allow Nulls' attribute.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__BIND_DEFAULT_IN_FUTURE_ONLY` The feature id for the 'Bind Default In Future Only' attribute.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__BIND_RULE_IN_FUTURE_ONLY` The feature id for the 'Bind Rule In Future Only' attribute.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__BOUND_DEFAULT` The feature id for the 'Bound Default' reference.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__BOUND_RULE` The feature id for the 'Bound Rule' reference.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__IDENTITY` The feature id for the 'Identity' attribute.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__ORDERING` The feature id for the 'Ordering' containment reference.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION` The feature id for the 'Predefined Representation' containment reference.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_USER_DEFINED_TYPE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE User Defined Type' class.
`static int` `SYBASE_ASE_USER_FEATURE_COUNT` The number of structural features of the 'Sybase ASE User' class.
`static int` `SYBASE_ASE_VIEW_TABLE` The meta object id for the '`Sybase ASE View Table`' class.
`static int` `SYBASE_ASE_VIEW_TABLE__CHECK_TYPE` The feature id for the 'Check Type' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` `SYBASE_ASE_VIEW_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASE_VIEW_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASE_VIEW_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASE_VIEW_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE__WITH_CHECK_OPTION` The feature id for the 'With Check Option' attribute.
`static int` `SYBASE_ASE_VIEW_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE View Table' class.
`static int` `SYBASE_ASE_WEB_SERVICE` The meta object id for the '`Sybase ASE Web Service`' class.
`static int` `SYBASE_ASE_WEB_SERVICE__AUTH_REQUIRED` The feature id for the 'Auth required' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE__DATABASE` The feature id for the 'Database' container reference.
`static int` `SYBASE_ASE_WEB_SERVICE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__PARAMETER` The feature id for the 'Parameter' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE__REMARKS` The feature id for the 'Remarks' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__SECURE_REQUIRED` The feature id for the 'Secure required' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__SERVICE_ID` The feature id for the 'Service id' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__SERVICE_TYPE` The feature id for the 'Service type' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__STATEMENT` The feature id for the 'Statement' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__URL_PATH` The feature id for the 'Url path' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE__USER_NAME` The feature id for the 'User name' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Web Service' class.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE` The meta object id for the '`Sybase ASE Web Service Table`' class.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__COLUMN_DELIMITER` The feature id for the 'Column Delimiter' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__CONCURRENCY_OPT_THRESHOLD` The feature id for the 'Concurrency Opt Threshold' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__EXISTING` The feature id for the 'Existing' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__EXP_ROW_SIZE` The feature id for the 'Exp Row Size' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_PATH` The feature id for the 'External Path' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_TYPE` The feature id for the 'External Type' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__IDENTITY_GAP` The feature id for the 'Identity Gap' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_PROMOTION` The feature id for the 'Lock Promotion' containment reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_SCHEMA` The feature id for the 'Lock Schema' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__MAX_ROW_PER_PAGE` The feature id for the 'Max Row Per Page' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__METHOD` The feature id for the 'Method' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__PARTITION_CONDITION` The feature id for the 'Partition Condition' containment reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__PARTITIONS` The feature id for the 'Partitions' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__RESERVE_PAGE_GAP` The feature id for the 'Reserve Page Gap' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__SEGMENT` The feature id for the 'Segment' reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__SYSTEM_TABLE` The feature id for the 'System Table' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__TABLE_ONLY_CACHE_INFO` The feature id for the 'Table Only Cache Info' containment reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_IMAGE_SEGMENT` The feature id for the 'Text Image Segment' reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_ONLY_CACHE_INFO` The feature id for the 'Text Only Cache Info' containment reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE__WSDLURI` The feature id for the 'WSDLURI' attribute.
`static int` `SYBASE_ASE_WEB_SERVICE_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASE Web Service Table' class.
`static int` `TRANSACTION_MODE_TYPE` The meta object id for the '`Transaction Mode Type`' enum.

Method Summary
`org.eclipse.emf.ecore.EEnum` `getAccessRuleType()` Returns the meta object for enum '`Access Rule Type`'.
`org.eclipse.emf.ecore.EReference` `getCacheInfo_Cache()` Returns the meta object for the reference '`Cache`'.
`org.eclipse.emf.ecore.EAttribute` `getCacheInfo_CacheStrategy()` Returns the meta object for the attribute '`Cache Strategy`'.
`org.eclipse.emf.ecore.EClass` `getCacheInfo()` Returns the meta object for class '`Cache Info`'.
`org.eclipse.emf.ecore.EEnum` `getCacheStrategyType()` Returns the meta object for enum '`Cache Strategy Type`'.
`org.eclipse.emf.ecore.EAttribute` `getDeviceItem_DeviceName()` Returns the meta object for the attribute '`Device Name`'.
`org.eclipse.emf.ecore.EAttribute` `getDeviceItem_Size()` Returns the meta object for the attribute '`Size`'.
`org.eclipse.emf.ecore.EClass` `getDeviceItem()` Returns the meta object for class '`Device Item`'.
`org.eclipse.emf.ecore.EEnum` `getLockingSchemaType()` Returns the meta object for enum '`Locking Schema Type`'.
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_HWM()` Returns the meta object for the attribute '`HWM`'.
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_LWM()` Returns the meta object for the attribute '`LWM`'.
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_PCT()` Returns the meta object for the attribute '`PCT`'.
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_RowLockPromotion()` Returns the meta object for the attribute '`Row Lock Promotion`'.
`org.eclipse.emf.ecore.EClass` `getLockPromotionInfo()` Returns the meta object for class '`Lock Promotion Info`'.
`org.eclipse.emf.ecore.EEnum` `getProxyTableExternalType()` Returns the meta object for enum '`Proxy Table External Type`'.
`org.eclipse.emf.ecore.EAttribute` `getSegmentThreshold_FreeSpace()` Returns the meta object for the attribute '`Free Space`'.
`org.eclipse.emf.ecore.EAttribute` `getSegmentThreshold_ProcedureName()` Returns the meta object for the attribute '`Procedure Name`'.
`org.eclipse.emf.ecore.EClass` `getSegmentThreshold()` Returns the meta object for class '`Segment Threshold`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_ConcurrencyOptThreshold()` Returns the meta object for the attribute '`Concurrency Opt Threshold`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_ExpRowSize()` Returns the meta object for the attribute '`Exp Row Size`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_FillFactor()` Returns the meta object for the attribute '`Fill Factor`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_IdentityGap()` Returns the meta object for the attribute '`Identity Gap`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_LockPromotion()` Returns the meta object for the containment reference list '`Lock Promotion`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_LockSchema()` Returns the meta object for the attribute '`Lock Schema`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_MaxRowPerPage()` Returns the meta object for the attribute '`Max Row Per Page`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_PartitionCondition()` Returns the meta object for the containment reference '`Partition Condition`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_Partitions()` Returns the meta object for the attribute '`Partitions`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_ReservePageGap()` Returns the meta object for the attribute '`Reserve Page Gap`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_Segment()` Returns the meta object for the reference '`Segment`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_SystemTable()` Returns the meta object for the attribute '`System Table`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_TableOnlyCacheInfo()` Returns the meta object for the containment reference '`Table Only Cache Info`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_TextImageSegment()` Returns the meta object for the reference '`Text Image Segment`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_TextOnlyCacheInfo()` Returns the meta object for the containment reference '`Text Only Cache Info`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEBaseTable()` Returns the meta object for class '`Sybase ASE Base Table`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASECache_Database()` Returns the meta object for the container reference '`Database`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASECache()` Returns the meta object for class '`Sybase ASE Cache`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_AuthorizationIds()` Returns the meta object for the reference list '`Authorization Ids`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_Cache()` Returns the meta object for the reference '`Cache`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_CatalogType()` Returns the meta object for the attribute '`Catalog Type`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_DataDevices()` Returns the meta object for the reference list '`Data Devices`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_DefaultLocation()` Returns the meta object for the attribute '`Default Location`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_ForLoad()` Returns the meta object for the attribute '`For Load`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_ForProxyUpdate()` Returns the meta object for the attribute '`For Proxy Update`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_LogDevices()` Returns the meta object for the reference list '`Log Devices`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_LogIOSize()` Returns the meta object for the attribute '`Log IO Size`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_Override()` Returns the meta object for the attribute '`Override`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_RecoveryOrder()` Returns the meta object for the attribute '`Recovery Order`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_Segments()` Returns the meta object for the containment reference list '`Segments`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASECatalog()` Returns the meta object for class '`Sybase ASE Catalog`'.
`org.eclipse.emf.ecore.EEnum` `getSybaseASECatalogType()` Returns the meta object for enum '`Sybase ASE Catalog Type`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASECheckConstraint_Creator()` Returns the meta object for the reference '`Creator`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASECheckConstraint()` Returns the meta object for class '`Sybase ASE Check Constraint`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_BindDefaultInFutureOnly()` Returns the meta object for the attribute '`Bind Default In Future Only`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_BindRuleInFutureOnly()` Returns the meta object for the attribute '`Bind Rule In Future Only`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_BoundDefault()` Returns the meta object for the reference '`Bound Default`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_BoundRule()` Returns the meta object for the reference '`Bound Rule`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_ColumnCheck()` Returns the meta object for the reference '`Column Check`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_EncryptionKey()` Returns the meta object for the reference '`Encryption Key`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_Hidden()` Returns the meta object for the attribute '`Hidden`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_Materialized()` Returns the meta object for the attribute '`Materialized`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEColumn()` Returns the meta object for class '`Sybase ASE Column`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumnCheckConstraint_Column()` Returns the meta object for the reference '`Column`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEColumnCheckConstraint()` Returns the meta object for class '`Sybase ASE Column Check Constraint`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_Caches()` Returns the meta object for the containment reference list '`Caches`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_DataTypes()` Returns the meta object for the reference list '`Data Types`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_EncryptionKeyApplicable()` Returns the meta object for the attribute '`Encryption Key Applicable`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_Roles()` Returns the meta object for the reference list '`Roles`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_SdsServer()` Returns the meta object for the attribute list '`Sds Server`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_TempDBName()` Returns the meta object for the attribute '`Temp DB Name`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_WebserviceApplicable()` Returns the meta object for the attribute '`Webservice Applicable`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_WebServices()` Returns the meta object for the containment reference list '`Web Services`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEDatabase()` Returns the meta object for class '`Sybase ASE Database`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEDefault_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDefault_Statement()` Returns the meta object for the attribute '`Statement`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEDefault()` Returns the meta object for class '`Sybase ASE Default`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEEncryptionKey_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEEncryptionKey()` Returns the meta object for class '`Sybase ASE Encryption Key`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEFuncBasedIndexMember()` Returns the meta object for class '`Sybase ASE Func Based Index Member`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEGroup()` Returns the meta object for class '`Sybase ASE Group`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_AllowDuplicateRow()` Returns the meta object for the attribute '`Allow Duplicate Row`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEIndex_CacheInfo()` Returns the meta object for the containment reference '`Cache Info`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_ConsumerNum()` Returns the meta object for the attribute '`Consumer Num`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_IgnoreDuplicateKey()` Returns the meta object for the attribute '`Ignore Duplicate Key`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_IgnoreDuplicateRow()` Returns the meta object for the attribute '`Ignore Duplicate Row`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_LocalIndex()` Returns the meta object for the attribute '`Local Index`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_MaxRowPerPage()` Returns the meta object for the attribute '`Max Row Per Page`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEIndex_Partitions()` Returns the meta object for the containment reference list '`Partitions`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_ReversePageGap()` Returns the meta object for the attribute '`Reverse Page Gap`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEIndex_Segment()` Returns the meta object for the reference '`Segment`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_SortedData()` Returns the meta object for the attribute '`Sorted Data`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_StatisticsStep()` Returns the meta object for the attribute '`Statistics Step`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_Suspect()` Returns the meta object for the attribute '`Suspect`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEIndex()` Returns the meta object for class '`Sybase ASE Index`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEPredefinedDataType_Database()` Returns the meta object for the reference '`Database`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEPredefinedDataType()` Returns the meta object for class '`Sybase ASE Predefined Data Type`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEPrimaryKey_AseUniqueConstraint()` Returns the meta object for the containment reference '`Ase Unique Constraint`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEPrimaryKey()` Returns the meta object for class '`Sybase ASE Primary Key`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEPrivilege()` Returns the meta object for class '`Sybase ASE Privilege`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_GroupNumber()` Returns the meta object for the attribute '`Group Number`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_SystemProcedure()` Returns the meta object for the attribute '`System Procedure`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_TransactionMode()` Returns the meta object for the attribute '`Transaction Mode`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_WithRecompile()` Returns the meta object for the attribute '`With Recompile`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEProcedure()` Returns the meta object for class '`Sybase ASE Procedure`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_ColumnDelimiter()` Returns the meta object for the attribute '`Column Delimiter`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_Existing()` Returns the meta object for the attribute '`Existing`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_ExternalPath()` Returns the meta object for the attribute '`External Path`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_ExternalType()` Returns the meta object for the attribute '`External Type`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEProxyTable()` Returns the meta object for class '`Sybase ASE Proxy Table`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASERole()` Returns the meta object for class '`Sybase ASE Role`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASERule_AccessRule()` Returns the meta object for the attribute '`Access Rule`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASERule_AccessType()` Returns the meta object for the attribute '`Access Type`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASERule_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASERule_Statement()` Returns the meta object for the attribute '`Statement`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASERule()` Returns the meta object for class '`Sybase ASE Rule`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASESchema_Defaults()` Returns the meta object for the reference list '`Defaults`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASESchema_EncryptionKeys()` Returns the meta object for the reference list '`Encryption Keys`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASESchema_Rules()` Returns the meta object for the reference list '`Rules`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASESchema()` Returns the meta object for class '`Sybase ASE Schema`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASESegment_Catalog()` Returns the meta object for the container reference '`Catalog`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASESegment_DeviceNames()` Returns the meta object for the attribute list '`Device Names`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASESegment_Thresholds()` Returns the meta object for the reference list '`Thresholds`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASESegment()` Returns the meta object for class '`Sybase ASE Segment`'.
`SybaseasesqlmodelFactory` `getSybaseasesqlmodelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getSybaseASETable()` Returns the meta object for class '`Sybase ASE Table`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASETempTable()` Returns the meta object for class '`Sybase ASE Temp Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASETrigger_Enabled()` Returns the meta object for the attribute '`Enabled`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASETrigger()` Returns the meta object for class '`Sybase ASE Trigger`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEUniqueConstraint_SystemGenedIndex()` Returns the meta object for the containment reference '`System Gened Index`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUniqueConstraint_SystemGenedName()` Returns the meta object for the attribute '`System Gened Name`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEUniqueConstraint()` Returns the meta object for class '`Sybase ASE Unique Constraint`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUser_LoginName()` Returns the meta object for the attribute '`Login Name`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEUser()` Returns the meta object for class '`Sybase ASE User`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_AllowNulls()` Returns the meta object for the attribute '`Allow Nulls`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_BindDefaultInFutureOnly()` Returns the meta object for the attribute '`Bind Default In Future Only`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_BindRuleInFutureOnly()` Returns the meta object for the attribute '`Bind Rule In Future Only`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEUserDefinedType_BoundDefault()` Returns the meta object for the reference '`Bound Default`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEUserDefinedType_BoundRule()` Returns the meta object for the reference '`Bound Rule`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_Identity()` Returns the meta object for the attribute '`Identity`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEUserDefinedType()` Returns the meta object for class '`Sybase ASE User Defined Type`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEViewTable_WithCheckOption()` Returns the meta object for the attribute '`With Check Option`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEViewTable()` Returns the meta object for class '`Sybase ASE View Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Auth_required()` Returns the meta object for the attribute '`Auth required`'.
`org.eclipse.emf.ecore.EReference` `getSybaseASEWebService_Database()` Returns the meta object for the container reference '`Database`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Parameter()` Returns the meta object for the attribute '`Parameter`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Remarks()` Returns the meta object for the attribute '`Remarks`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Secure_required()` Returns the meta object for the attribute '`Secure required`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Service_id()` Returns the meta object for the attribute '`Service id`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Service_type()` Returns the meta object for the attribute '`Service type`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Statement()` Returns the meta object for the attribute '`Statement`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Url_path()` Returns the meta object for the attribute '`Url path`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_User_name()` Returns the meta object for the attribute '`User name`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEWebService()` Returns the meta object for class '`Sybase ASE Web Service`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebServiceTable_Method()` Returns the meta object for the attribute '`Method`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebServiceTable_WSDLURI()` Returns the meta object for the attribute '`WSDLURI`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASEWebServiceTable()` Returns the meta object for class '`Sybase ASE Web Service Table`'.
`org.eclipse.emf.ecore.EEnum` `getTransactionModeType()` Returns the meta object for enum '`Transaction Mode Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SybaseasesqlmodelPackage eINSTANCE

  The singleton instance of the package.

### SYBASE_ASE_SCHEMA

    static final int SYBASE_ASE_SCHEMA

  The meta object id for the '`Sybase ASE Schema`' class.

  See Also:
    `SybaseASESchemaImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASESchema()`, Constant Field Values

### SYBASE_ASE_SCHEMA__EANNOTATIONS

    static final int SYBASE_ASE_SCHEMA__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__NAME

    static final int SYBASE_ASE_SCHEMA__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__DEPENDENCIES

    static final int SYBASE_ASE_SCHEMA__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__DESCRIPTION

    static final int SYBASE_ASE_SCHEMA__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__LABEL

    static final int SYBASE_ASE_SCHEMA__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__COMMENTS

    static final int SYBASE_ASE_SCHEMA__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__EXTENSIONS

    static final int SYBASE_ASE_SCHEMA__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__PRIVILEGES

    static final int SYBASE_ASE_SCHEMA__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__TRIGGERS

    static final int SYBASE_ASE_SCHEMA__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__INDICES

    static final int SYBASE_ASE_SCHEMA__INDICES

  The feature id for the 'Indices' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__TABLES

    static final int SYBASE_ASE_SCHEMA__TABLES

  The feature id for the 'Tables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__SEQUENCES

    static final int SYBASE_ASE_SCHEMA__SEQUENCES

  The feature id for the 'Sequences' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__DATABASE

    static final int SYBASE_ASE_SCHEMA__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__CATALOG

    static final int SYBASE_ASE_SCHEMA__CATALOG

  The feature id for the 'Catalog' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__ASSERTIONS

    static final int SYBASE_ASE_SCHEMA__ASSERTIONS

  The feature id for the 'Assertions' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__USER_DEFINED_TYPES

    static final int SYBASE_ASE_SCHEMA__USER_DEFINED_TYPES

  The feature id for the 'User Defined Types' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__CHAR_SETS

    static final int SYBASE_ASE_SCHEMA__CHAR_SETS

  The feature id for the 'Char Sets' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__ROUTINES

    static final int SYBASE_ASE_SCHEMA__ROUTINES

  The feature id for the 'Routines' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__OWNER

    static final int SYBASE_ASE_SCHEMA__OWNER

  The feature id for the 'Owner' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__DEFAULTS

    static final int SYBASE_ASE_SCHEMA__DEFAULTS

  The feature id for the 'Defaults' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__RULES

    static final int SYBASE_ASE_SCHEMA__RULES

  The feature id for the 'Rules' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA__ENCRYPTION_KEYS

    static final int SYBASE_ASE_SCHEMA__ENCRYPTION_KEYS

  The feature id for the 'Encryption Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SCHEMA_FEATURE_COUNT

    static final int SYBASE_ASE_SCHEMA_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Schema' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE

    static final int SYBASE_ASE_DATABASE

  The meta object id for the '`Sybase ASE Database`' class.

  See Also:
    `SybaseASEDatabaseImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEDatabase()`, Constant Field Values

### SYBASE_ASE_DATABASE__EANNOTATIONS

    static final int SYBASE_ASE_DATABASE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__NAME

    static final int SYBASE_ASE_DATABASE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__DEPENDENCIES

    static final int SYBASE_ASE_DATABASE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__DESCRIPTION

    static final int SYBASE_ASE_DATABASE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__LABEL

    static final int SYBASE_ASE_DATABASE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__COMMENTS

    static final int SYBASE_ASE_DATABASE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__EXTENSIONS

    static final int SYBASE_ASE_DATABASE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__PRIVILEGES

    static final int SYBASE_ASE_DATABASE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__VENDOR

    static final int SYBASE_ASE_DATABASE__VENDOR

  The feature id for the 'Vendor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__VERSION

    static final int SYBASE_ASE_DATABASE__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__SCHEMAS

    static final int SYBASE_ASE_DATABASE__SCHEMAS

  The feature id for the 'Schemas' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__EVENTS

    static final int SYBASE_ASE_DATABASE__EVENTS

  The feature id for the 'Events' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__CATALOGS

    static final int SYBASE_ASE_DATABASE__CATALOGS

  The feature id for the 'Catalogs' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__AUTHORIZATION_IDS

    static final int SYBASE_ASE_DATABASE__AUTHORIZATION_IDS

  The feature id for the 'Authorization Ids' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__DATA_TYPES

    static final int SYBASE_ASE_DATABASE__DATA_TYPES

  The feature id for the 'Data Types' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__ENCRYPTION_KEY_APPLICABLE

    static final int SYBASE_ASE_DATABASE__ENCRYPTION_KEY_APPLICABLE

  The feature id for the 'Encryption Key Applicable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__ROLES

    static final int SYBASE_ASE_DATABASE__ROLES

  The feature id for the 'Roles' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__CACHES

    static final int SYBASE_ASE_DATABASE__CACHES

  The feature id for the 'Caches' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__WEB_SERVICES

    static final int SYBASE_ASE_DATABASE__WEB_SERVICES

  The feature id for the 'Web Services' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__WEBSERVICE_APPLICABLE

    static final int SYBASE_ASE_DATABASE__WEBSERVICE_APPLICABLE

  The feature id for the 'Webservice Applicable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__SDS_SERVER

    static final int SYBASE_ASE_DATABASE__SDS_SERVER

  The feature id for the 'Sds Server' attribute list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE__TEMP_DB_NAME

    static final int SYBASE_ASE_DATABASE__TEMP_DB_NAME

  The feature id for the 'Temp DB Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DATABASE_FEATURE_COUNT

    static final int SYBASE_ASE_DATABASE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Database' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE

    static final int SYBASE_ASE_WEB_SERVICE

  The meta object id for the '`Sybase ASE Web Service`' class.

  See Also:
    `SybaseASEWebServiceImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEWebService()`, Constant Field Values

### SYBASE_ASE_WEB_SERVICE__EANNOTATIONS

    static final int SYBASE_ASE_WEB_SERVICE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__NAME

    static final int SYBASE_ASE_WEB_SERVICE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__DEPENDENCIES

    static final int SYBASE_ASE_WEB_SERVICE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__DESCRIPTION

    static final int SYBASE_ASE_WEB_SERVICE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__LABEL

    static final int SYBASE_ASE_WEB_SERVICE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__COMMENTS

    static final int SYBASE_ASE_WEB_SERVICE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__EXTENSIONS

    static final int SYBASE_ASE_WEB_SERVICE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__PRIVILEGES

    static final int SYBASE_ASE_WEB_SERVICE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__SERVICE_ID

    static final int SYBASE_ASE_WEB_SERVICE__SERVICE_ID

  The feature id for the 'Service id' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__SERVICE_TYPE

    static final int SYBASE_ASE_WEB_SERVICE__SERVICE_TYPE

  The feature id for the 'Service type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__AUTH_REQUIRED

    static final int SYBASE_ASE_WEB_SERVICE__AUTH_REQUIRED

  The feature id for the 'Auth required' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__SECURE_REQUIRED

    static final int SYBASE_ASE_WEB_SERVICE__SECURE_REQUIRED

  The feature id for the 'Secure required' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__URL_PATH

    static final int SYBASE_ASE_WEB_SERVICE__URL_PATH

  The feature id for the 'Url path' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__USER_NAME

    static final int SYBASE_ASE_WEB_SERVICE__USER_NAME

  The feature id for the 'User name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__PARAMETER

    static final int SYBASE_ASE_WEB_SERVICE__PARAMETER

  The feature id for the 'Parameter' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__STATEMENT

    static final int SYBASE_ASE_WEB_SERVICE__STATEMENT

  The feature id for the 'Statement' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__REMARKS

    static final int SYBASE_ASE_WEB_SERVICE__REMARKS

  The feature id for the 'Remarks' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE__DATABASE

    static final int SYBASE_ASE_WEB_SERVICE__DATABASE

  The feature id for the 'Database' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_FEATURE_COUNT

    static final int SYBASE_ASE_WEB_SERVICE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Web Service' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE

  The meta object id for the '`Sybase ASE Predefined Data Type`' class.

  See Also:
    `SybaseASEPredefinedDataTypeImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEPredefinedDataType()`, Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__EANNOTATIONS

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__NAME

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__DEPENDENCIES

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__DESCRIPTION

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__LABEL

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__COMMENTS

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__EXTENSIONS

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIVILEGES

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE__DATABASE

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT

    static final int SYBASE_ASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Predefined Data Type' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG

    static final int SYBASE_ASE_CATALOG

  The meta object id for the '`Sybase ASE Catalog`' class.

  See Also:
    `SybaseASECatalogImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASECatalog()`, Constant Field Values

### SYBASE_ASE_CATALOG__EANNOTATIONS

    static final int SYBASE_ASE_CATALOG__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__NAME

    static final int SYBASE_ASE_CATALOG__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__DEPENDENCIES

    static final int SYBASE_ASE_CATALOG__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__DESCRIPTION

    static final int SYBASE_ASE_CATALOG__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__LABEL

    static final int SYBASE_ASE_CATALOG__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__COMMENTS

    static final int SYBASE_ASE_CATALOG__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__EXTENSIONS

    static final int SYBASE_ASE_CATALOG__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__PRIVILEGES

    static final int SYBASE_ASE_CATALOG__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__DATABASE

    static final int SYBASE_ASE_CATALOG__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__SCHEMAS

    static final int SYBASE_ASE_CATALOG__SCHEMAS

  The feature id for the 'Schemas' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__SEGMENTS

    static final int SYBASE_ASE_CATALOG__SEGMENTS

  The feature id for the 'Segments' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__DATA_DEVICES

    static final int SYBASE_ASE_CATALOG__DATA_DEVICES

  The feature id for the 'Data Devices' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__LOG_DEVICES

    static final int SYBASE_ASE_CATALOG__LOG_DEVICES

  The feature id for the 'Log Devices' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__OVERRIDE

    static final int SYBASE_ASE_CATALOG__OVERRIDE

  The feature id for the 'Override' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__DEFAULT_LOCATION

    static final int SYBASE_ASE_CATALOG__DEFAULT_LOCATION

  The feature id for the 'Default Location' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__FOR_LOAD

    static final int SYBASE_ASE_CATALOG__FOR_LOAD

  The feature id for the 'For Load' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__FOR_PROXY_UPDATE

    static final int SYBASE_ASE_CATALOG__FOR_PROXY_UPDATE

  The feature id for the 'For Proxy Update' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__LOG_IO_SIZE

    static final int SYBASE_ASE_CATALOG__LOG_IO_SIZE

  The feature id for the 'Log IO Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__RECOVERY_ORDER

    static final int SYBASE_ASE_CATALOG__RECOVERY_ORDER

  The feature id for the 'Recovery Order' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__AUTHORIZATION_IDS

    static final int SYBASE_ASE_CATALOG__AUTHORIZATION_IDS

  The feature id for the 'Authorization Ids' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__CACHE

    static final int SYBASE_ASE_CATALOG__CACHE

  The feature id for the 'Cache' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG__CATALOG_TYPE

    static final int SYBASE_ASE_CATALOG__CATALOG_TYPE

  The feature id for the 'Catalog Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CATALOG_FEATURE_COUNT

    static final int SYBASE_ASE_CATALOG_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Catalog' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE

    static final int SYBASE_ASE_PROCEDURE

  The meta object id for the '`Sybase ASE Procedure`' class.

  See Also:
    `SybaseASEProcedureImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEProcedure()`, Constant Field Values

### SYBASE_ASE_PROCEDURE__EANNOTATIONS

    static final int SYBASE_ASE_PROCEDURE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__NAME

    static final int SYBASE_ASE_PROCEDURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__DEPENDENCIES

    static final int SYBASE_ASE_PROCEDURE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__DESCRIPTION

    static final int SYBASE_ASE_PROCEDURE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__LABEL

    static final int SYBASE_ASE_PROCEDURE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__COMMENTS

    static final int SYBASE_ASE_PROCEDURE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__EXTENSIONS

    static final int SYBASE_ASE_PROCEDURE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__PRIVILEGES

    static final int SYBASE_ASE_PROCEDURE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__SPECIFIC_NAME

    static final int SYBASE_ASE_PROCEDURE__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__LANGUAGE

    static final int SYBASE_ASE_PROCEDURE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__PARAMETER_STYLE

    static final int SYBASE_ASE_PROCEDURE__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__DETERMINISTIC

    static final int SYBASE_ASE_PROCEDURE__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__SQL_DATA_ACCESS

    static final int SYBASE_ASE_PROCEDURE__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__CREATION_TS

    static final int SYBASE_ASE_PROCEDURE__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__LAST_ALTERED_TS

    static final int SYBASE_ASE_PROCEDURE__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__AUTHORIZATION_ID

    static final int SYBASE_ASE_PROCEDURE__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__SECURITY

    static final int SYBASE_ASE_PROCEDURE__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__EXTERNAL_NAME

    static final int SYBASE_ASE_PROCEDURE__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__PARAMETERS

    static final int SYBASE_ASE_PROCEDURE__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__SOURCE

    static final int SYBASE_ASE_PROCEDURE__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__SCHEMA

    static final int SYBASE_ASE_PROCEDURE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__MAX_RESULT_SETS

    static final int SYBASE_ASE_PROCEDURE__MAX_RESULT_SETS

  The feature id for the 'Max Result Sets' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__OLD_SAVE_POINT

    static final int SYBASE_ASE_PROCEDURE__OLD_SAVE_POINT

  The feature id for the 'Old Save Point' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__RESULT_SET

    static final int SYBASE_ASE_PROCEDURE__RESULT_SET

  The feature id for the 'Result Set' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__GROUP_NUMBER

    static final int SYBASE_ASE_PROCEDURE__GROUP_NUMBER

  The feature id for the 'Group Number' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__TRANSACTION_MODE

    static final int SYBASE_ASE_PROCEDURE__TRANSACTION_MODE

  The feature id for the 'Transaction Mode' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__SYSTEM_PROCEDURE

    static final int SYBASE_ASE_PROCEDURE__SYSTEM_PROCEDURE

  The feature id for the 'System Procedure' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE__WITH_RECOMPILE

    static final int SYBASE_ASE_PROCEDURE__WITH_RECOMPILE

  The feature id for the 'With Recompile' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROCEDURE_FEATURE_COUNT

    static final int SYBASE_ASE_PROCEDURE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Procedure' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT

    static final int SYBASE_ASE_DEFAULT

  The meta object id for the '`Sybase ASE Default`' class.

  See Also:
    `SybaseASEDefaultImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEDefault()`, Constant Field Values

### SYBASE_ASE_DEFAULT__EANNOTATIONS

    static final int SYBASE_ASE_DEFAULT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__NAME

    static final int SYBASE_ASE_DEFAULT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__DEPENDENCIES

    static final int SYBASE_ASE_DEFAULT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__DESCRIPTION

    static final int SYBASE_ASE_DEFAULT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__LABEL

    static final int SYBASE_ASE_DEFAULT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__COMMENTS

    static final int SYBASE_ASE_DEFAULT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__EXTENSIONS

    static final int SYBASE_ASE_DEFAULT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__PRIVILEGES

    static final int SYBASE_ASE_DEFAULT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__SCHEMA

    static final int SYBASE_ASE_DEFAULT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT__STATEMENT

    static final int SYBASE_ASE_DEFAULT__STATEMENT

  The feature id for the 'Statement' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_DEFAULT_FEATURE_COUNT

    static final int SYBASE_ASE_DEFAULT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Default' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE

    static final int SYBASE_ASE_RULE

  The meta object id for the '`Sybase ASE Rule`' class.

  See Also:
    `SybaseASERuleImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASERule()`, Constant Field Values

### SYBASE_ASE_RULE__EANNOTATIONS

    static final int SYBASE_ASE_RULE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__NAME

    static final int SYBASE_ASE_RULE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__DEPENDENCIES

    static final int SYBASE_ASE_RULE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__DESCRIPTION

    static final int SYBASE_ASE_RULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__LABEL

    static final int SYBASE_ASE_RULE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__COMMENTS

    static final int SYBASE_ASE_RULE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__EXTENSIONS

    static final int SYBASE_ASE_RULE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__PRIVILEGES

    static final int SYBASE_ASE_RULE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__SCHEMA

    static final int SYBASE_ASE_RULE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__STATEMENT

    static final int SYBASE_ASE_RULE__STATEMENT

  The feature id for the 'Statement' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__ACCESS_RULE

    static final int SYBASE_ASE_RULE__ACCESS_RULE

  The feature id for the 'Access Rule' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE__ACCESS_TYPE

    static final int SYBASE_ASE_RULE__ACCESS_TYPE

  The feature id for the 'Access Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_RULE_FEATURE_COUNT

    static final int SYBASE_ASE_RULE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Rule' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX

    static final int SYBASE_ASE_INDEX

  The meta object id for the '`Sybase ASE Index`' class.

  See Also:
    `SybaseASEIndexImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEIndex()`, Constant Field Values

### SYBASE_ASE_INDEX__EANNOTATIONS

    static final int SYBASE_ASE_INDEX__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__NAME

    static final int SYBASE_ASE_INDEX__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__DEPENDENCIES

    static final int SYBASE_ASE_INDEX__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__DESCRIPTION

    static final int SYBASE_ASE_INDEX__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__LABEL

    static final int SYBASE_ASE_INDEX__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__COMMENTS

    static final int SYBASE_ASE_INDEX__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__EXTENSIONS

    static final int SYBASE_ASE_INDEX__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__PRIVILEGES

    static final int SYBASE_ASE_INDEX__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__SCHEMA

    static final int SYBASE_ASE_INDEX__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__CLUSTERED

    static final int SYBASE_ASE_INDEX__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__FILL_FACTOR

    static final int SYBASE_ASE_INDEX__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__UNIQUE

    static final int SYBASE_ASE_INDEX__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__SYSTEM_GENERATED

    static final int SYBASE_ASE_INDEX__SYSTEM_GENERATED

  The feature id for the 'System Generated' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__MEMBERS

    static final int SYBASE_ASE_INDEX__MEMBERS

  The feature id for the 'Members' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__TABLE

    static final int SYBASE_ASE_INDEX__TABLE

  The feature id for the 'Table' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__FOREIGN_KEY

    static final int SYBASE_ASE_INDEX__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__INCLUDED_MEMBERS

    static final int SYBASE_ASE_INDEX__INCLUDED_MEMBERS

  The feature id for the 'Included Members' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__MAX_ROW_PER_PAGE

    static final int SYBASE_ASE_INDEX__MAX_ROW_PER_PAGE

  The feature id for the 'Max Row Per Page' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__REVERSE_PAGE_GAP

    static final int SYBASE_ASE_INDEX__REVERSE_PAGE_GAP

  The feature id for the 'Reverse Page Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__IGNORE_DUPLICATE_KEY

    static final int SYBASE_ASE_INDEX__IGNORE_DUPLICATE_KEY

  The feature id for the 'Ignore Duplicate Key' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__SORTED_DATA

    static final int SYBASE_ASE_INDEX__SORTED_DATA

  The feature id for the 'Sorted Data' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__IGNORE_DUPLICATE_ROW

    static final int SYBASE_ASE_INDEX__IGNORE_DUPLICATE_ROW

  The feature id for the 'Ignore Duplicate Row' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__SEGMENT

    static final int SYBASE_ASE_INDEX__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__LOCAL_INDEX

    static final int SYBASE_ASE_INDEX__LOCAL_INDEX

  The feature id for the 'Local Index' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__PARTITIONS

    static final int SYBASE_ASE_INDEX__PARTITIONS

  The feature id for the 'Partitions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__CONSUMER_NUM

    static final int SYBASE_ASE_INDEX__CONSUMER_NUM

  The feature id for the 'Consumer Num' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__STATISTICS_STEP

    static final int SYBASE_ASE_INDEX__STATISTICS_STEP

  The feature id for the 'Statistics Step' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__ALLOW_DUPLICATE_ROW

    static final int SYBASE_ASE_INDEX__ALLOW_DUPLICATE_ROW

  The feature id for the 'Allow Duplicate Row' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__SUSPECT

    static final int SYBASE_ASE_INDEX__SUSPECT

  The feature id for the 'Suspect' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX__CACHE_INFO

    static final int SYBASE_ASE_INDEX__CACHE_INFO

  The feature id for the 'Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_INDEX_FEATURE_COUNT

    static final int SYBASE_ASE_INDEX_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Index' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT

    static final int SYBASE_ASE_SEGMENT

  The meta object id for the '`Sybase ASE Segment`' class.

  See Also:
    `SybaseASESegmentImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASESegment()`, Constant Field Values

### SYBASE_ASE_SEGMENT__EANNOTATIONS

    static final int SYBASE_ASE_SEGMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__NAME

    static final int SYBASE_ASE_SEGMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__DEPENDENCIES

    static final int SYBASE_ASE_SEGMENT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__DESCRIPTION

    static final int SYBASE_ASE_SEGMENT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__LABEL

    static final int SYBASE_ASE_SEGMENT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__COMMENTS

    static final int SYBASE_ASE_SEGMENT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__EXTENSIONS

    static final int SYBASE_ASE_SEGMENT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__PRIVILEGES

    static final int SYBASE_ASE_SEGMENT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__CATALOG

    static final int SYBASE_ASE_SEGMENT__CATALOG

  The feature id for the 'Catalog' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__DEVICE_NAMES

    static final int SYBASE_ASE_SEGMENT__DEVICE_NAMES

  The feature id for the 'Device Names' attribute list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT__THRESHOLDS

    static final int SYBASE_ASE_SEGMENT__THRESHOLDS

  The feature id for the 'Thresholds' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_SEGMENT_FEATURE_COUNT

    static final int SYBASE_ASE_SEGMENT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Segment' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER

  The meta object id for the '`Sybase ASE Func Based Index Member`' class.

  See Also:
    `SybaseASEFuncBasedIndexMemberImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEFuncBasedIndexMember()`, Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EANNOTATIONS

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__NAME

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DEPENDENCIES

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DESCRIPTION

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__LABEL

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COMMENTS

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EXTENSIONS

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__PRIVILEGES

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__INCREMENT_TYPE

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__INCREMENT_TYPE

  The feature id for the 'Increment Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN_EXPRESSION

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN_EXPRESSION

  The feature id for the 'Column Expression' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_FUNC_BASED_INDEX_MEMBER_FEATURE_COUNT

    static final int SYBASE_ASE_FUNC_BASED_INDEX_MEMBER_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Func Based Index Member' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE

    static final int SYBASE_ASE_TABLE

  The meta object id for the '`Sybase ASE Table`' class.

  See Also:
    `SybaseASETableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASETable()`, Constant Field Values

### SYBASE_ASE_TABLE__EANNOTATIONS

    static final int SYBASE_ASE_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__NAME

    static final int SYBASE_ASE_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__DEPENDENCIES

    static final int SYBASE_ASE_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__DESCRIPTION

    static final int SYBASE_ASE_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__LABEL

    static final int SYBASE_ASE_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__COMMENTS

    static final int SYBASE_ASE_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__EXTENSIONS

    static final int SYBASE_ASE_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__PRIVILEGES

    static final int SYBASE_ASE_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__COLUMNS

    static final int SYBASE_ASE_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__SUPERTABLE

    static final int SYBASE_ASE_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__SUBTABLES

    static final int SYBASE_ASE_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__SCHEMA

    static final int SYBASE_ASE_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__UDT

    static final int SYBASE_ASE_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__TRIGGERS

    static final int SYBASE_ASE_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__INDEX

    static final int SYBASE_ASE_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASE_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__INSERTABLE

    static final int SYBASE_ASE_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__UPDATABLE

    static final int SYBASE_ASE_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__CONSTRAINTS

    static final int SYBASE_ASE_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASE_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__LOCK_SCHEMA

    static final int SYBASE_ASE_TABLE__LOCK_SCHEMA

  The feature id for the 'Lock Schema' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__FILL_FACTOR

    static final int SYBASE_ASE_TABLE__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__MAX_ROW_PER_PAGE

    static final int SYBASE_ASE_TABLE__MAX_ROW_PER_PAGE

  The feature id for the 'Max Row Per Page' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__EXP_ROW_SIZE

    static final int SYBASE_ASE_TABLE__EXP_ROW_SIZE

  The feature id for the 'Exp Row Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__RESERVE_PAGE_GAP

    static final int SYBASE_ASE_TABLE__RESERVE_PAGE_GAP

  The feature id for the 'Reserve Page Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__IDENTITY_GAP

    static final int SYBASE_ASE_TABLE__IDENTITY_GAP

  The feature id for the 'Identity Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__SEGMENT

    static final int SYBASE_ASE_TABLE__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__CONCURRENCY_OPT_THRESHOLD

    static final int SYBASE_ASE_TABLE__CONCURRENCY_OPT_THRESHOLD

  The feature id for the 'Concurrency Opt Threshold' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__PARTITION_CONDITION

    static final int SYBASE_ASE_TABLE__PARTITION_CONDITION

  The feature id for the 'Partition Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__TABLE_ONLY_CACHE_INFO

    static final int SYBASE_ASE_TABLE__TABLE_ONLY_CACHE_INFO

  The feature id for the 'Table Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__TEXT_ONLY_CACHE_INFO

    static final int SYBASE_ASE_TABLE__TEXT_ONLY_CACHE_INFO

  The feature id for the 'Text Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__LOCK_PROMOTION

    static final int SYBASE_ASE_TABLE__LOCK_PROMOTION

  The feature id for the 'Lock Promotion' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__PARTITIONS

    static final int SYBASE_ASE_TABLE__PARTITIONS

  The feature id for the 'Partitions' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__TEXT_IMAGE_SEGMENT

    static final int SYBASE_ASE_TABLE__TEXT_IMAGE_SEGMENT

  The feature id for the 'Text Image Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE__SYSTEM_TABLE

    static final int SYBASE_ASE_TABLE__SYSTEM_TABLE

  The feature id for the 'System Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TABLE_FEATURE_COUNT

    static final int SYBASE_ASE_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT

    static final int SYBASE_ASE_CHECK_CONSTRAINT

  The meta object id for the '`Sybase ASE Check Constraint`' class.

  See Also:
    `SybaseASECheckConstraintImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASECheckConstraint()`, Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__EANNOTATIONS

    static final int SYBASE_ASE_CHECK_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__NAME

    static final int SYBASE_ASE_CHECK_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__DEPENDENCIES

    static final int SYBASE_ASE_CHECK_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__DESCRIPTION

    static final int SYBASE_ASE_CHECK_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__LABEL

    static final int SYBASE_ASE_CHECK_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__COMMENTS

    static final int SYBASE_ASE_CHECK_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__EXTENSIONS

    static final int SYBASE_ASE_CHECK_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__PRIVILEGES

    static final int SYBASE_ASE_CHECK_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__DEFERRABLE

    static final int SYBASE_ASE_CHECK_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__INITIALLY_DEFERRED

    static final int SYBASE_ASE_CHECK_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__ENFORCED

    static final int SYBASE_ASE_CHECK_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__BASE_TABLE

    static final int SYBASE_ASE_CHECK_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__SEARCH_CONDITION

    static final int SYBASE_ASE_CHECK_CONSTRAINT__SEARCH_CONDITION

  The feature id for the 'Search Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT__CREATOR

    static final int SYBASE_ASE_CHECK_CONSTRAINT__CREATOR

  The feature id for the 'Creator' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_CHECK_CONSTRAINT_FEATURE_COUNT

    static final int SYBASE_ASE_CHECK_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Check Constraint' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT

  The meta object id for the '`Sybase ASE Column Check Constraint`' class.

  See Also:
    `SybaseASEColumnCheckConstraintImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEColumnCheckConstraint()`, Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__NAME

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__LABEL

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COMMENTS

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__ENFORCED

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION

  The feature id for the 'Search Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__CREATOR

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__CREATOR

  The feature id for the 'Creator' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COLUMN

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT

    static final int SYBASE_ASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Column Check Constraint' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN

    static final int SYBASE_ASE_COLUMN

  The meta object id for the '`Sybase ASE Column`' class.

  See Also:
    `SybaseASEColumnImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEColumn()`, Constant Field Values

### SYBASE_ASE_COLUMN__EANNOTATIONS

    static final int SYBASE_ASE_COLUMN__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__NAME

    static final int SYBASE_ASE_COLUMN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__DEPENDENCIES

    static final int SYBASE_ASE_COLUMN__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__DESCRIPTION

    static final int SYBASE_ASE_COLUMN__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__LABEL

    static final int SYBASE_ASE_COLUMN__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__COMMENTS

    static final int SYBASE_ASE_COLUMN__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__EXTENSIONS

    static final int SYBASE_ASE_COLUMN__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__PRIVILEGES

    static final int SYBASE_ASE_COLUMN__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__CONTAINED_TYPE

    static final int SYBASE_ASE_COLUMN__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__REFERENCED_TYPE

    static final int SYBASE_ASE_COLUMN__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__TABLE

    static final int SYBASE_ASE_COLUMN__TABLE

  The feature id for the 'Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__IDENTITY_SPECIFIER

    static final int SYBASE_ASE_COLUMN__IDENTITY_SPECIFIER

  The feature id for the 'Identity Specifier' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__GENERATE_EXPRESSION

    static final int SYBASE_ASE_COLUMN__GENERATE_EXPRESSION

  The feature id for the 'Generate Expression' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__IMPLEMENTATION_DEPENDENT

    static final int SYBASE_ASE_COLUMN__IMPLEMENTATION_DEPENDENT

  The feature id for the 'Implementation Dependent' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__NULLABLE

    static final int SYBASE_ASE_COLUMN__NULLABLE

  The feature id for the 'Nullable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__DEFAULT_VALUE

    static final int SYBASE_ASE_COLUMN__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__SCOPE_CHECK

    static final int SYBASE_ASE_COLUMN__SCOPE_CHECK

  The feature id for the 'Scope Check' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__SCOPE_CHECKED

    static final int SYBASE_ASE_COLUMN__SCOPE_CHECKED

  The feature id for the 'Scope Checked' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__COLUMN_CHECK

    static final int SYBASE_ASE_COLUMN__COLUMN_CHECK

  The feature id for the 'Column Check' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__BOUND_DEFAULT

    static final int SYBASE_ASE_COLUMN__BOUND_DEFAULT

  The feature id for the 'Bound Default' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__BOUND_RULE

    static final int SYBASE_ASE_COLUMN__BOUND_RULE

  The feature id for the 'Bound Rule' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__MATERIALIZED

    static final int SYBASE_ASE_COLUMN__MATERIALIZED

  The feature id for the 'Materialized' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__ENCRYPTION_KEY

    static final int SYBASE_ASE_COLUMN__ENCRYPTION_KEY

  The feature id for the 'Encryption Key' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__BIND_DEFAULT_IN_FUTURE_ONLY

    static final int SYBASE_ASE_COLUMN__BIND_DEFAULT_IN_FUTURE_ONLY

  The feature id for the 'Bind Default In Future Only' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__BIND_RULE_IN_FUTURE_ONLY

    static final int SYBASE_ASE_COLUMN__BIND_RULE_IN_FUTURE_ONLY

  The feature id for the 'Bind Rule In Future Only' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN__HIDDEN

    static final int SYBASE_ASE_COLUMN__HIDDEN

  The feature id for the 'Hidden' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_COLUMN_FEATURE_COUNT

    static final int SYBASE_ASE_COLUMN_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Column' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT

  The meta object id for the '`Sybase ASE Unique Constraint`' class.

  See Also:
    `SybaseASEUniqueConstraintImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEUniqueConstraint()`, Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__EANNOTATIONS

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__NAME

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__DEPENDENCIES

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__DESCRIPTION

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__LABEL

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__COMMENTS

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__EXTENSIONS

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__PRIVILEGES

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__DEFERRABLE

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__ENFORCED

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__BASE_TABLE

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__MEMBERS

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__FOREIGN_KEY

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_INDEX

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_INDEX

  The feature id for the 'System Gened Index' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_NAME

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_NAME

  The feature id for the 'System Gened Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_UNIQUE_CONSTRAINT_FEATURE_COUNT

    static final int SYBASE_ASE_UNIQUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Unique Constraint' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY

    static final int SYBASE_ASE_PRIMARY_KEY

  The meta object id for the '`Sybase ASE Primary Key`' class.

  See Also:
    `SybaseASEPrimaryKeyImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEPrimaryKey()`, Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__EANNOTATIONS

    static final int SYBASE_ASE_PRIMARY_KEY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__NAME

    static final int SYBASE_ASE_PRIMARY_KEY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__DEPENDENCIES

    static final int SYBASE_ASE_PRIMARY_KEY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__DESCRIPTION

    static final int SYBASE_ASE_PRIMARY_KEY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__LABEL

    static final int SYBASE_ASE_PRIMARY_KEY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__COMMENTS

    static final int SYBASE_ASE_PRIMARY_KEY__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__EXTENSIONS

    static final int SYBASE_ASE_PRIMARY_KEY__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__PRIVILEGES

    static final int SYBASE_ASE_PRIMARY_KEY__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__DEFERRABLE

    static final int SYBASE_ASE_PRIMARY_KEY__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__INITIALLY_DEFERRED

    static final int SYBASE_ASE_PRIMARY_KEY__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__ENFORCED

    static final int SYBASE_ASE_PRIMARY_KEY__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__BASE_TABLE

    static final int SYBASE_ASE_PRIMARY_KEY__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__MEMBERS

    static final int SYBASE_ASE_PRIMARY_KEY__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__FOREIGN_KEY

    static final int SYBASE_ASE_PRIMARY_KEY__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY__ASE_UNIQUE_CONSTRAINT

    static final int SYBASE_ASE_PRIMARY_KEY__ASE_UNIQUE_CONSTRAINT

  The feature id for the 'Ase Unique Constraint' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIMARY_KEY_FEATURE_COUNT

    static final int SYBASE_ASE_PRIMARY_KEY_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Primary Key' class.

  See Also:
    Constant Field Values

### DEVICE_ITEM

    static final int DEVICE_ITEM

  The meta object id for the '`Device Item`' class.

  See Also:
    `DeviceItemImpl`, `SybaseasesqlmodelPackageImpl.getDeviceItem()`, Constant Field Values

### DEVICE_ITEM__EANNOTATIONS

    static final int DEVICE_ITEM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### DEVICE_ITEM__NAME

    static final int DEVICE_ITEM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DEVICE_ITEM__DEPENDENCIES

    static final int DEVICE_ITEM__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### DEVICE_ITEM__DESCRIPTION

    static final int DEVICE_ITEM__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### DEVICE_ITEM__LABEL

    static final int DEVICE_ITEM__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### DEVICE_ITEM__COMMENTS

    static final int DEVICE_ITEM__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### DEVICE_ITEM__EXTENSIONS

    static final int DEVICE_ITEM__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### DEVICE_ITEM__PRIVILEGES

    static final int DEVICE_ITEM__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### DEVICE_ITEM__DEVICE_NAME

    static final int DEVICE_ITEM__DEVICE_NAME

  The feature id for the 'Device Name' attribute.

  See Also:
    Constant Field Values

### DEVICE_ITEM__SIZE

    static final int DEVICE_ITEM__SIZE

  The feature id for the 'Size' attribute.

  See Also:
    Constant Field Values

### DEVICE_ITEM_FEATURE_COUNT

    static final int DEVICE_ITEM_FEATURE_COUNT

  The number of structural features of the 'Device Item' class.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD

    static final int SEGMENT_THRESHOLD

  The meta object id for the '`Segment Threshold`' class.

  See Also:
    `SegmentThresholdImpl`, `SybaseasesqlmodelPackageImpl.getSegmentThreshold()`, Constant Field Values

### SEGMENT_THRESHOLD__EANNOTATIONS

    static final int SEGMENT_THRESHOLD__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__NAME

    static final int SEGMENT_THRESHOLD__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__DEPENDENCIES

    static final int SEGMENT_THRESHOLD__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__DESCRIPTION

    static final int SEGMENT_THRESHOLD__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__LABEL

    static final int SEGMENT_THRESHOLD__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__COMMENTS

    static final int SEGMENT_THRESHOLD__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__EXTENSIONS

    static final int SEGMENT_THRESHOLD__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__PRIVILEGES

    static final int SEGMENT_THRESHOLD__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__PROCEDURE_NAME

    static final int SEGMENT_THRESHOLD__PROCEDURE_NAME

  The feature id for the 'Procedure Name' attribute.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD__FREE_SPACE

    static final int SEGMENT_THRESHOLD__FREE_SPACE

  The feature id for the 'Free Space' attribute.

  See Also:
    Constant Field Values

### SEGMENT_THRESHOLD_FEATURE_COUNT

    static final int SEGMENT_THRESHOLD_FEATURE_COUNT

  The number of structural features of the 'Segment Threshold' class.

  See Also:
    Constant Field Values

### CACHE_INFO

    static final int CACHE_INFO

  The meta object id for the '`Cache Info`' class.

  See Also:
    `CacheInfoImpl`, `SybaseasesqlmodelPackageImpl.getCacheInfo()`, Constant Field Values

### CACHE_INFO__EANNOTATIONS

    static final int CACHE_INFO__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### CACHE_INFO__NAME

    static final int CACHE_INFO__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CACHE_INFO__DEPENDENCIES

    static final int CACHE_INFO__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### CACHE_INFO__DESCRIPTION

    static final int CACHE_INFO__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### CACHE_INFO__LABEL

    static final int CACHE_INFO__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### CACHE_INFO__COMMENTS

    static final int CACHE_INFO__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### CACHE_INFO__EXTENSIONS

    static final int CACHE_INFO__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### CACHE_INFO__PRIVILEGES

    static final int CACHE_INFO__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### CACHE_INFO__CACHE_STRATEGY

    static final int CACHE_INFO__CACHE_STRATEGY

  The feature id for the 'Cache Strategy' attribute.

  See Also:
    Constant Field Values

### CACHE_INFO__CACHE

    static final int CACHE_INFO__CACHE

  The feature id for the 'Cache' reference.

  See Also:
    Constant Field Values

### CACHE_INFO_FEATURE_COUNT

    static final int CACHE_INFO_FEATURE_COUNT

  The number of structural features of the 'Cache Info' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE

    static final int SYBASE_ASE_USER_DEFINED_TYPE

  The meta object id for the '`Sybase ASE User Defined Type`' class.

  See Also:
    `SybaseASEUserDefinedTypeImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEUserDefinedType()`, Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__EANNOTATIONS

    static final int SYBASE_ASE_USER_DEFINED_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__NAME

    static final int SYBASE_ASE_USER_DEFINED_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__DEPENDENCIES

    static final int SYBASE_ASE_USER_DEFINED_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__DESCRIPTION

    static final int SYBASE_ASE_USER_DEFINED_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__LABEL

    static final int SYBASE_ASE_USER_DEFINED_TYPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__COMMENTS

    static final int SYBASE_ASE_USER_DEFINED_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__EXTENSIONS

    static final int SYBASE_ASE_USER_DEFINED_TYPE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__PRIVILEGES

    static final int SYBASE_ASE_USER_DEFINED_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__SCHEMA

    static final int SYBASE_ASE_USER_DEFINED_TYPE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__ORDERING

    static final int SYBASE_ASE_USER_DEFINED_TYPE__ORDERING

  The feature id for the 'Ordering' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

    static final int SYBASE_ASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

  The feature id for the 'Predefined Representation' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__BOUND_DEFAULT

    static final int SYBASE_ASE_USER_DEFINED_TYPE__BOUND_DEFAULT

  The feature id for the 'Bound Default' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__BOUND_RULE

    static final int SYBASE_ASE_USER_DEFINED_TYPE__BOUND_RULE

  The feature id for the 'Bound Rule' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__BIND_DEFAULT_IN_FUTURE_ONLY

    static final int SYBASE_ASE_USER_DEFINED_TYPE__BIND_DEFAULT_IN_FUTURE_ONLY

  The feature id for the 'Bind Default In Future Only' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__BIND_RULE_IN_FUTURE_ONLY

    static final int SYBASE_ASE_USER_DEFINED_TYPE__BIND_RULE_IN_FUTURE_ONLY

  The feature id for the 'Bind Rule In Future Only' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__ALLOW_NULLS

    static final int SYBASE_ASE_USER_DEFINED_TYPE__ALLOW_NULLS

  The feature id for the 'Allow Nulls' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE__IDENTITY

    static final int SYBASE_ASE_USER_DEFINED_TYPE__IDENTITY

  The feature id for the 'Identity' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_DEFINED_TYPE_FEATURE_COUNT

    static final int SYBASE_ASE_USER_DEFINED_TYPE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE User Defined Type' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY

    static final int SYBASE_ASE_ENCRYPTION_KEY

  The meta object id for the '`Sybase ASE Encryption Key`' class.

  See Also:
    `SybaseASEEncryptionKeyImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEEncryptionKey()`, Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__EANNOTATIONS

    static final int SYBASE_ASE_ENCRYPTION_KEY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__NAME

    static final int SYBASE_ASE_ENCRYPTION_KEY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__DEPENDENCIES

    static final int SYBASE_ASE_ENCRYPTION_KEY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__DESCRIPTION

    static final int SYBASE_ASE_ENCRYPTION_KEY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__LABEL

    static final int SYBASE_ASE_ENCRYPTION_KEY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__COMMENTS

    static final int SYBASE_ASE_ENCRYPTION_KEY__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__EXTENSIONS

    static final int SYBASE_ASE_ENCRYPTION_KEY__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__PRIVILEGES

    static final int SYBASE_ASE_ENCRYPTION_KEY__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY__SCHEMA

    static final int SYBASE_ASE_ENCRYPTION_KEY__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_ENCRYPTION_KEY_FEATURE_COUNT

    static final int SYBASE_ASE_ENCRYPTION_KEY_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Encryption Key' class.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO

    static final int LOCK_PROMOTION_INFO

  The meta object id for the '`Lock Promotion Info`' class.

  See Also:
    `LockPromotionInfoImpl`, `SybaseasesqlmodelPackageImpl.getLockPromotionInfo()`, Constant Field Values

### LOCK_PROMOTION_INFO__EANNOTATIONS

    static final int LOCK_PROMOTION_INFO__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__NAME

    static final int LOCK_PROMOTION_INFO__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__DEPENDENCIES

    static final int LOCK_PROMOTION_INFO__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__DESCRIPTION

    static final int LOCK_PROMOTION_INFO__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__LABEL

    static final int LOCK_PROMOTION_INFO__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__COMMENTS

    static final int LOCK_PROMOTION_INFO__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__EXTENSIONS

    static final int LOCK_PROMOTION_INFO__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__PRIVILEGES

    static final int LOCK_PROMOTION_INFO__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__ROW_LOCK_PROMOTION

    static final int LOCK_PROMOTION_INFO__ROW_LOCK_PROMOTION

  The feature id for the 'Row Lock Promotion' attribute.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__LWM

    static final int LOCK_PROMOTION_INFO__LWM

  The feature id for the 'LWM' attribute.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__HWM

    static final int LOCK_PROMOTION_INFO__HWM

  The feature id for the 'HWM' attribute.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO__PCT

    static final int LOCK_PROMOTION_INFO__PCT

  The feature id for the 'PCT' attribute.

  See Also:
    Constant Field Values

### LOCK_PROMOTION_INFO_FEATURE_COUNT

    static final int LOCK_PROMOTION_INFO_FEATURE_COUNT

  The number of structural features of the 'Lock Promotion Info' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE

    static final int SYBASE_ASE_ROLE

  The meta object id for the '`Sybase ASE Role`' class.

  See Also:
    `SybaseASERoleImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASERole()`, Constant Field Values

### SYBASE_ASE_ROLE__EANNOTATIONS

    static final int SYBASE_ASE_ROLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__NAME

    static final int SYBASE_ASE_ROLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__DEPENDENCIES

    static final int SYBASE_ASE_ROLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__DESCRIPTION

    static final int SYBASE_ASE_ROLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__LABEL

    static final int SYBASE_ASE_ROLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__COMMENTS

    static final int SYBASE_ASE_ROLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__EXTENSIONS

    static final int SYBASE_ASE_ROLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__PRIVILEGES

    static final int SYBASE_ASE_ROLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__OWNED_SCHEMA

    static final int SYBASE_ASE_ROLE__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__DATABASE

    static final int SYBASE_ASE_ROLE__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__RECEIVED_ROLE_AUTHORIZATION

    static final int SYBASE_ASE_ROLE__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__GRANTED_ROLE_AUTHORIZATION

    static final int SYBASE_ASE_ROLE__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__GRANTED_PRIVILEGE

    static final int SYBASE_ASE_ROLE__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__RECEIVED_PRIVILEGE

    static final int SYBASE_ASE_ROLE__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__ROLE_AUTHORIZATION

    static final int SYBASE_ASE_ROLE__ROLE_AUTHORIZATION

  The feature id for the 'Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE__SQL_CONTAINER

    static final int SYBASE_ASE_ROLE__SQL_CONTAINER

  The feature id for the 'Sql Container' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_ROLE_FEATURE_COUNT

    static final int SYBASE_ASE_ROLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Role' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE

    static final int SYBASE_ASE_CACHE

  The meta object id for the '`Sybase ASE Cache`' class.

  See Also:
    `SybaseASECacheImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASECache()`, Constant Field Values

### SYBASE_ASE_CACHE__EANNOTATIONS

    static final int SYBASE_ASE_CACHE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__NAME

    static final int SYBASE_ASE_CACHE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__DEPENDENCIES

    static final int SYBASE_ASE_CACHE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__DESCRIPTION

    static final int SYBASE_ASE_CACHE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__LABEL

    static final int SYBASE_ASE_CACHE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__COMMENTS

    static final int SYBASE_ASE_CACHE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__EXTENSIONS

    static final int SYBASE_ASE_CACHE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__PRIVILEGES

    static final int SYBASE_ASE_CACHE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE__DATABASE

    static final int SYBASE_ASE_CACHE__DATABASE

  The feature id for the 'Database' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_CACHE_FEATURE_COUNT

    static final int SYBASE_ASE_CACHE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Cache' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE

    static final int SYBASE_ASE_VIEW_TABLE

  The meta object id for the '`Sybase ASE View Table`' class.

  See Also:
    `SybaseASEViewTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEViewTable()`, Constant Field Values

### SYBASE_ASE_VIEW_TABLE__EANNOTATIONS

    static final int SYBASE_ASE_VIEW_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__NAME

    static final int SYBASE_ASE_VIEW_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__DEPENDENCIES

    static final int SYBASE_ASE_VIEW_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__DESCRIPTION

    static final int SYBASE_ASE_VIEW_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__LABEL

    static final int SYBASE_ASE_VIEW_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__COMMENTS

    static final int SYBASE_ASE_VIEW_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__EXTENSIONS

    static final int SYBASE_ASE_VIEW_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__PRIVILEGES

    static final int SYBASE_ASE_VIEW_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__COLUMNS

    static final int SYBASE_ASE_VIEW_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__SUPERTABLE

    static final int SYBASE_ASE_VIEW_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__SUBTABLES

    static final int SYBASE_ASE_VIEW_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__SCHEMA

    static final int SYBASE_ASE_VIEW_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__UDT

    static final int SYBASE_ASE_VIEW_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__TRIGGERS

    static final int SYBASE_ASE_VIEW_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__INDEX

    static final int SYBASE_ASE_VIEW_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__INSERTABLE

    static final int SYBASE_ASE_VIEW_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__UPDATABLE

    static final int SYBASE_ASE_VIEW_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__QUERY_EXPRESSION

    static final int SYBASE_ASE_VIEW_TABLE__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__CHECK_TYPE

    static final int SYBASE_ASE_VIEW_TABLE__CHECK_TYPE

  The feature id for the 'Check Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE__WITH_CHECK_OPTION

    static final int SYBASE_ASE_VIEW_TABLE__WITH_CHECK_OPTION

  The feature id for the 'With Check Option' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_VIEW_TABLE_FEATURE_COUNT

    static final int SYBASE_ASE_VIEW_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE View Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE

    static final int SYBASE_ASE_TEMP_TABLE

  The meta object id for the '`Sybase ASE Temp Table`' class.

  See Also:
    `SybaseASETempTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASETempTable()`, Constant Field Values

### SYBASE_ASE_TEMP_TABLE__EANNOTATIONS

    static final int SYBASE_ASE_TEMP_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__NAME

    static final int SYBASE_ASE_TEMP_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__DEPENDENCIES

    static final int SYBASE_ASE_TEMP_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__DESCRIPTION

    static final int SYBASE_ASE_TEMP_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__LABEL

    static final int SYBASE_ASE_TEMP_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__COMMENTS

    static final int SYBASE_ASE_TEMP_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__EXTENSIONS

    static final int SYBASE_ASE_TEMP_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__PRIVILEGES

    static final int SYBASE_ASE_TEMP_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__COLUMNS

    static final int SYBASE_ASE_TEMP_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__SUPERTABLE

    static final int SYBASE_ASE_TEMP_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__SUBTABLES

    static final int SYBASE_ASE_TEMP_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__SCHEMA

    static final int SYBASE_ASE_TEMP_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__UDT

    static final int SYBASE_ASE_TEMP_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__TRIGGERS

    static final int SYBASE_ASE_TEMP_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__INDEX

    static final int SYBASE_ASE_TEMP_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__INSERTABLE

    static final int SYBASE_ASE_TEMP_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__UPDATABLE

    static final int SYBASE_ASE_TEMP_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__CONSTRAINTS

    static final int SYBASE_ASE_TEMP_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__LOCAL

    static final int SYBASE_ASE_TEMP_TABLE__LOCAL

  The feature id for the 'Local' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__DELETE_ON_COMMIT

    static final int SYBASE_ASE_TEMP_TABLE__DELETE_ON_COMMIT

  The feature id for the 'Delete On Commit' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__LOCK_SCHEMA

    static final int SYBASE_ASE_TEMP_TABLE__LOCK_SCHEMA

  The feature id for the 'Lock Schema' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__FILL_FACTOR

    static final int SYBASE_ASE_TEMP_TABLE__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__MAX_ROW_PER_PAGE

    static final int SYBASE_ASE_TEMP_TABLE__MAX_ROW_PER_PAGE

  The feature id for the 'Max Row Per Page' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__EXP_ROW_SIZE

    static final int SYBASE_ASE_TEMP_TABLE__EXP_ROW_SIZE

  The feature id for the 'Exp Row Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__RESERVE_PAGE_GAP

    static final int SYBASE_ASE_TEMP_TABLE__RESERVE_PAGE_GAP

  The feature id for the 'Reserve Page Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__IDENTITY_GAP

    static final int SYBASE_ASE_TEMP_TABLE__IDENTITY_GAP

  The feature id for the 'Identity Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__SEGMENT

    static final int SYBASE_ASE_TEMP_TABLE__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__CONCURRENCY_OPT_THRESHOLD

    static final int SYBASE_ASE_TEMP_TABLE__CONCURRENCY_OPT_THRESHOLD

  The feature id for the 'Concurrency Opt Threshold' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__PARTITION_CONDITION

    static final int SYBASE_ASE_TEMP_TABLE__PARTITION_CONDITION

  The feature id for the 'Partition Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__TABLE_ONLY_CACHE_INFO

    static final int SYBASE_ASE_TEMP_TABLE__TABLE_ONLY_CACHE_INFO

  The feature id for the 'Table Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__TEXT_ONLY_CACHE_INFO

    static final int SYBASE_ASE_TEMP_TABLE__TEXT_ONLY_CACHE_INFO

  The feature id for the 'Text Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__LOCK_PROMOTION

    static final int SYBASE_ASE_TEMP_TABLE__LOCK_PROMOTION

  The feature id for the 'Lock Promotion' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__PARTITIONS

    static final int SYBASE_ASE_TEMP_TABLE__PARTITIONS

  The feature id for the 'Partitions' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__TEXT_IMAGE_SEGMENT

    static final int SYBASE_ASE_TEMP_TABLE__TEXT_IMAGE_SEGMENT

  The feature id for the 'Text Image Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE__SYSTEM_TABLE

    static final int SYBASE_ASE_TEMP_TABLE__SYSTEM_TABLE

  The feature id for the 'System Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TEMP_TABLE_FEATURE_COUNT

    static final int SYBASE_ASE_TEMP_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Temp Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE

    static final int SYBASE_ASE_PROXY_TABLE

  The meta object id for the '`Sybase ASE Proxy Table`' class.

  See Also:
    `SybaseASEProxyTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEProxyTable()`, Constant Field Values

### SYBASE_ASE_PROXY_TABLE__EANNOTATIONS

    static final int SYBASE_ASE_PROXY_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__NAME

    static final int SYBASE_ASE_PROXY_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__DEPENDENCIES

    static final int SYBASE_ASE_PROXY_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__DESCRIPTION

    static final int SYBASE_ASE_PROXY_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__LABEL

    static final int SYBASE_ASE_PROXY_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__COMMENTS

    static final int SYBASE_ASE_PROXY_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__EXTENSIONS

    static final int SYBASE_ASE_PROXY_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__PRIVILEGES

    static final int SYBASE_ASE_PROXY_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__COLUMNS

    static final int SYBASE_ASE_PROXY_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__SUPERTABLE

    static final int SYBASE_ASE_PROXY_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__SUBTABLES

    static final int SYBASE_ASE_PROXY_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__SCHEMA

    static final int SYBASE_ASE_PROXY_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__UDT

    static final int SYBASE_ASE_PROXY_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__TRIGGERS

    static final int SYBASE_ASE_PROXY_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__INDEX

    static final int SYBASE_ASE_PROXY_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__INSERTABLE

    static final int SYBASE_ASE_PROXY_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__UPDATABLE

    static final int SYBASE_ASE_PROXY_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__CONSTRAINTS

    static final int SYBASE_ASE_PROXY_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__LOCK_SCHEMA

    static final int SYBASE_ASE_PROXY_TABLE__LOCK_SCHEMA

  The feature id for the 'Lock Schema' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__FILL_FACTOR

    static final int SYBASE_ASE_PROXY_TABLE__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__MAX_ROW_PER_PAGE

    static final int SYBASE_ASE_PROXY_TABLE__MAX_ROW_PER_PAGE

  The feature id for the 'Max Row Per Page' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__EXP_ROW_SIZE

    static final int SYBASE_ASE_PROXY_TABLE__EXP_ROW_SIZE

  The feature id for the 'Exp Row Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__RESERVE_PAGE_GAP

    static final int SYBASE_ASE_PROXY_TABLE__RESERVE_PAGE_GAP

  The feature id for the 'Reserve Page Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__IDENTITY_GAP

    static final int SYBASE_ASE_PROXY_TABLE__IDENTITY_GAP

  The feature id for the 'Identity Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__SEGMENT

    static final int SYBASE_ASE_PROXY_TABLE__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__CONCURRENCY_OPT_THRESHOLD

    static final int SYBASE_ASE_PROXY_TABLE__CONCURRENCY_OPT_THRESHOLD

  The feature id for the 'Concurrency Opt Threshold' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__PARTITION_CONDITION

    static final int SYBASE_ASE_PROXY_TABLE__PARTITION_CONDITION

  The feature id for the 'Partition Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__TABLE_ONLY_CACHE_INFO

    static final int SYBASE_ASE_PROXY_TABLE__TABLE_ONLY_CACHE_INFO

  The feature id for the 'Table Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__TEXT_ONLY_CACHE_INFO

    static final int SYBASE_ASE_PROXY_TABLE__TEXT_ONLY_CACHE_INFO

  The feature id for the 'Text Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__LOCK_PROMOTION

    static final int SYBASE_ASE_PROXY_TABLE__LOCK_PROMOTION

  The feature id for the 'Lock Promotion' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__PARTITIONS

    static final int SYBASE_ASE_PROXY_TABLE__PARTITIONS

  The feature id for the 'Partitions' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__TEXT_IMAGE_SEGMENT

    static final int SYBASE_ASE_PROXY_TABLE__TEXT_IMAGE_SEGMENT

  The feature id for the 'Text Image Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__SYSTEM_TABLE

    static final int SYBASE_ASE_PROXY_TABLE__SYSTEM_TABLE

  The feature id for the 'System Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__EXTERNAL_TYPE

    static final int SYBASE_ASE_PROXY_TABLE__EXTERNAL_TYPE

  The feature id for the 'External Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__EXISTING

    static final int SYBASE_ASE_PROXY_TABLE__EXISTING

  The feature id for the 'Existing' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__COLUMN_DELIMITER

    static final int SYBASE_ASE_PROXY_TABLE__COLUMN_DELIMITER

  The feature id for the 'Column Delimiter' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE__EXTERNAL_PATH

    static final int SYBASE_ASE_PROXY_TABLE__EXTERNAL_PATH

  The feature id for the 'External Path' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PROXY_TABLE_FEATURE_COUNT

    static final int SYBASE_ASE_PROXY_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Proxy Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE

  The meta object id for the '`Sybase ASE Web Service Table`' class.

  See Also:
    `SybaseASEWebServiceTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEWebServiceTable()`, Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__EANNOTATIONS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__NAME

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__DEPENDENCIES

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__DESCRIPTION

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__LABEL

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__COMMENTS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__EXTENSIONS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__PRIVILEGES

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__COLUMNS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__SUPERTABLE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__SUBTABLES

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__SCHEMA

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__UDT

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__TRIGGERS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__INDEX

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__INSERTABLE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__UPDATABLE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__CONSTRAINTS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_SCHEMA

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_SCHEMA

  The feature id for the 'Lock Schema' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__FILL_FACTOR

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__MAX_ROW_PER_PAGE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__MAX_ROW_PER_PAGE

  The feature id for the 'Max Row Per Page' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__EXP_ROW_SIZE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__EXP_ROW_SIZE

  The feature id for the 'Exp Row Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__RESERVE_PAGE_GAP

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__RESERVE_PAGE_GAP

  The feature id for the 'Reserve Page Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__IDENTITY_GAP

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__IDENTITY_GAP

  The feature id for the 'Identity Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__SEGMENT

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__CONCURRENCY_OPT_THRESHOLD

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__CONCURRENCY_OPT_THRESHOLD

  The feature id for the 'Concurrency Opt Threshold' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__PARTITION_CONDITION

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__PARTITION_CONDITION

  The feature id for the 'Partition Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__TABLE_ONLY_CACHE_INFO

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__TABLE_ONLY_CACHE_INFO

  The feature id for the 'Table Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_ONLY_CACHE_INFO

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_ONLY_CACHE_INFO

  The feature id for the 'Text Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_PROMOTION

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_PROMOTION

  The feature id for the 'Lock Promotion' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__PARTITIONS

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__PARTITIONS

  The feature id for the 'Partitions' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_IMAGE_SEGMENT

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_IMAGE_SEGMENT

  The feature id for the 'Text Image Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__SYSTEM_TABLE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__SYSTEM_TABLE

  The feature id for the 'System Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_TYPE

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_TYPE

  The feature id for the 'External Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__EXISTING

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__EXISTING

  The feature id for the 'Existing' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__COLUMN_DELIMITER

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__COLUMN_DELIMITER

  The feature id for the 'Column Delimiter' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_PATH

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_PATH

  The feature id for the 'External Path' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__METHOD

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__METHOD

  The feature id for the 'Method' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE__WSDLURI

    static final int SYBASE_ASE_WEB_SERVICE_TABLE__WSDLURI

  The feature id for the 'WSDLURI' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_WEB_SERVICE_TABLE_FEATURE_COUNT

    static final int SYBASE_ASE_WEB_SERVICE_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Web Service Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE

    static final int SYBASE_ASE_BASE_TABLE

  The meta object id for the '`Sybase ASE Base Table`' class.

  See Also:
    `SybaseASEBaseTableImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEBaseTable()`, Constant Field Values

### SYBASE_ASE_BASE_TABLE__EANNOTATIONS

    static final int SYBASE_ASE_BASE_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__NAME

    static final int SYBASE_ASE_BASE_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__DEPENDENCIES

    static final int SYBASE_ASE_BASE_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__DESCRIPTION

    static final int SYBASE_ASE_BASE_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__LABEL

    static final int SYBASE_ASE_BASE_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__COMMENTS

    static final int SYBASE_ASE_BASE_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__EXTENSIONS

    static final int SYBASE_ASE_BASE_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__PRIVILEGES

    static final int SYBASE_ASE_BASE_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__COLUMNS

    static final int SYBASE_ASE_BASE_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__SUPERTABLE

    static final int SYBASE_ASE_BASE_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__SUBTABLES

    static final int SYBASE_ASE_BASE_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__SCHEMA

    static final int SYBASE_ASE_BASE_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__UDT

    static final int SYBASE_ASE_BASE_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__TRIGGERS

    static final int SYBASE_ASE_BASE_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__INDEX

    static final int SYBASE_ASE_BASE_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__INSERTABLE

    static final int SYBASE_ASE_BASE_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__UPDATABLE

    static final int SYBASE_ASE_BASE_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__CONSTRAINTS

    static final int SYBASE_ASE_BASE_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__LOCK_SCHEMA

    static final int SYBASE_ASE_BASE_TABLE__LOCK_SCHEMA

  The feature id for the 'Lock Schema' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__FILL_FACTOR

    static final int SYBASE_ASE_BASE_TABLE__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__MAX_ROW_PER_PAGE

    static final int SYBASE_ASE_BASE_TABLE__MAX_ROW_PER_PAGE

  The feature id for the 'Max Row Per Page' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__EXP_ROW_SIZE

    static final int SYBASE_ASE_BASE_TABLE__EXP_ROW_SIZE

  The feature id for the 'Exp Row Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__RESERVE_PAGE_GAP

    static final int SYBASE_ASE_BASE_TABLE__RESERVE_PAGE_GAP

  The feature id for the 'Reserve Page Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__IDENTITY_GAP

    static final int SYBASE_ASE_BASE_TABLE__IDENTITY_GAP

  The feature id for the 'Identity Gap' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__SEGMENT

    static final int SYBASE_ASE_BASE_TABLE__SEGMENT

  The feature id for the 'Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__CONCURRENCY_OPT_THRESHOLD

    static final int SYBASE_ASE_BASE_TABLE__CONCURRENCY_OPT_THRESHOLD

  The feature id for the 'Concurrency Opt Threshold' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__PARTITION_CONDITION

    static final int SYBASE_ASE_BASE_TABLE__PARTITION_CONDITION

  The feature id for the 'Partition Condition' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__TABLE_ONLY_CACHE_INFO

    static final int SYBASE_ASE_BASE_TABLE__TABLE_ONLY_CACHE_INFO

  The feature id for the 'Table Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__TEXT_ONLY_CACHE_INFO

    static final int SYBASE_ASE_BASE_TABLE__TEXT_ONLY_CACHE_INFO

  The feature id for the 'Text Only Cache Info' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__LOCK_PROMOTION

    static final int SYBASE_ASE_BASE_TABLE__LOCK_PROMOTION

  The feature id for the 'Lock Promotion' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__PARTITIONS

    static final int SYBASE_ASE_BASE_TABLE__PARTITIONS

  The feature id for the 'Partitions' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__TEXT_IMAGE_SEGMENT

    static final int SYBASE_ASE_BASE_TABLE__TEXT_IMAGE_SEGMENT

  The feature id for the 'Text Image Segment' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE__SYSTEM_TABLE

    static final int SYBASE_ASE_BASE_TABLE__SYSTEM_TABLE

  The feature id for the 'System Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_BASE_TABLE_FEATURE_COUNT

    static final int SYBASE_ASE_BASE_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Base Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER

    static final int SYBASE_ASE_USER

  The meta object id for the '`Sybase ASE User`' class.

  See Also:
    `SybaseASEUserImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEUser()`, Constant Field Values

### SYBASE_ASE_USER__EANNOTATIONS

    static final int SYBASE_ASE_USER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__NAME

    static final int SYBASE_ASE_USER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__DEPENDENCIES

    static final int SYBASE_ASE_USER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__DESCRIPTION

    static final int SYBASE_ASE_USER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__LABEL

    static final int SYBASE_ASE_USER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__COMMENTS

    static final int SYBASE_ASE_USER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__EXTENSIONS

    static final int SYBASE_ASE_USER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__PRIVILEGES

    static final int SYBASE_ASE_USER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__OWNED_SCHEMA

    static final int SYBASE_ASE_USER__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__DATABASE

    static final int SYBASE_ASE_USER__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__RECEIVED_ROLE_AUTHORIZATION

    static final int SYBASE_ASE_USER__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__GRANTED_ROLE_AUTHORIZATION

    static final int SYBASE_ASE_USER__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__GRANTED_PRIVILEGE

    static final int SYBASE_ASE_USER__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__RECEIVED_PRIVILEGE

    static final int SYBASE_ASE_USER__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__GROUP

    static final int SYBASE_ASE_USER__GROUP

  The feature id for the 'Group' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__SQL_CONTAINER

    static final int SYBASE_ASE_USER__SQL_CONTAINER

  The feature id for the 'Sql Container' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER__LOGIN_NAME

    static final int SYBASE_ASE_USER__LOGIN_NAME

  The feature id for the 'Login Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_USER_FEATURE_COUNT

    static final int SYBASE_ASE_USER_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE User' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP

    static final int SYBASE_ASE_GROUP

  The meta object id for the '`Sybase ASE Group`' class.

  See Also:
    `SybaseASEGroupImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEGroup()`, Constant Field Values

### SYBASE_ASE_GROUP__EANNOTATIONS

    static final int SYBASE_ASE_GROUP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__NAME

    static final int SYBASE_ASE_GROUP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__DEPENDENCIES

    static final int SYBASE_ASE_GROUP__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__DESCRIPTION

    static final int SYBASE_ASE_GROUP__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__LABEL

    static final int SYBASE_ASE_GROUP__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__COMMENTS

    static final int SYBASE_ASE_GROUP__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__EXTENSIONS

    static final int SYBASE_ASE_GROUP__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__PRIVILEGES

    static final int SYBASE_ASE_GROUP__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__OWNED_SCHEMA

    static final int SYBASE_ASE_GROUP__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__DATABASE

    static final int SYBASE_ASE_GROUP__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__RECEIVED_ROLE_AUTHORIZATION

    static final int SYBASE_ASE_GROUP__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__GRANTED_ROLE_AUTHORIZATION

    static final int SYBASE_ASE_GROUP__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__GRANTED_PRIVILEGE

    static final int SYBASE_ASE_GROUP__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__RECEIVED_PRIVILEGE

    static final int SYBASE_ASE_GROUP__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__USER

    static final int SYBASE_ASE_GROUP__USER

  The feature id for the 'User' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP__SQL_CONTAINER

    static final int SYBASE_ASE_GROUP__SQL_CONTAINER

  The feature id for the 'Sql Container' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_GROUP_FEATURE_COUNT

    static final int SYBASE_ASE_GROUP_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Group' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE

    static final int SYBASE_ASE_PRIVILEGE

  The meta object id for the '`Sybase ASE Privilege`' class.

  See Also:
    `SybaseASEPrivilegeImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASEPrivilege()`, Constant Field Values

### SYBASE_ASE_PRIVILEGE__EANNOTATIONS

    static final int SYBASE_ASE_PRIVILEGE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__NAME

    static final int SYBASE_ASE_PRIVILEGE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__DEPENDENCIES

    static final int SYBASE_ASE_PRIVILEGE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__DESCRIPTION

    static final int SYBASE_ASE_PRIVILEGE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__LABEL

    static final int SYBASE_ASE_PRIVILEGE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__COMMENTS

    static final int SYBASE_ASE_PRIVILEGE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__EXTENSIONS

    static final int SYBASE_ASE_PRIVILEGE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__PRIVILEGES

    static final int SYBASE_ASE_PRIVILEGE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__GRANTABLE

    static final int SYBASE_ASE_PRIVILEGE__GRANTABLE

  The feature id for the 'Grantable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__ACTION

    static final int SYBASE_ASE_PRIVILEGE__ACTION

  The feature id for the 'Action' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__WITH_HIERARCHY

    static final int SYBASE_ASE_PRIVILEGE__WITH_HIERARCHY

  The feature id for the 'With Hierarchy' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__GRANTOR

    static final int SYBASE_ASE_PRIVILEGE__GRANTOR

  The feature id for the 'Grantor' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__GRANTEE

    static final int SYBASE_ASE_PRIVILEGE__GRANTEE

  The feature id for the 'Grantee' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__ACTION_OBJECTS

    static final int SYBASE_ASE_PRIVILEGE__ACTION_OBJECTS

  The feature id for the 'Action Objects' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__OBJECT

    static final int SYBASE_ASE_PRIVILEGE__OBJECT

  The feature id for the 'Object' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE__REVOKED

    static final int SYBASE_ASE_PRIVILEGE__REVOKED

  The feature id for the 'Revoked' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_PRIVILEGE_FEATURE_COUNT

    static final int SYBASE_ASE_PRIVILEGE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Privilege' class.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER

    static final int SYBASE_ASE_TRIGGER

  The meta object id for the '`Sybase ASE Trigger`' class.

  See Also:
    `SybaseASETriggerImpl`, `SybaseasesqlmodelPackageImpl.getSybaseASETrigger()`, Constant Field Values

### SYBASE_ASE_TRIGGER__EANNOTATIONS

    static final int SYBASE_ASE_TRIGGER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__NAME

    static final int SYBASE_ASE_TRIGGER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__DEPENDENCIES

    static final int SYBASE_ASE_TRIGGER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__DESCRIPTION

    static final int SYBASE_ASE_TRIGGER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__LABEL

    static final int SYBASE_ASE_TRIGGER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__COMMENTS

    static final int SYBASE_ASE_TRIGGER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__EXTENSIONS

    static final int SYBASE_ASE_TRIGGER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__PRIVILEGES

    static final int SYBASE_ASE_TRIGGER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__SCHEMA

    static final int SYBASE_ASE_TRIGGER__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__SUBJECT_TABLE

    static final int SYBASE_ASE_TRIGGER__SUBJECT_TABLE

  The feature id for the 'Subject Table' reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__ACTION_STATEMENT

    static final int SYBASE_ASE_TRIGGER__ACTION_STATEMENT

  The feature id for the 'Action Statement' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__TRIGGER_COLUMN

    static final int SYBASE_ASE_TRIGGER__TRIGGER_COLUMN

  The feature id for the 'Trigger Column' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__ACTION_GRANULARITY

    static final int SYBASE_ASE_TRIGGER__ACTION_GRANULARITY

  The feature id for the 'Action Granularity' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__WHEN

    static final int SYBASE_ASE_TRIGGER__WHEN

  The feature id for the 'When' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__TIME_STAMP

    static final int SYBASE_ASE_TRIGGER__TIME_STAMP

  The feature id for the 'Time Stamp' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__ACTION_TIME

    static final int SYBASE_ASE_TRIGGER__ACTION_TIME

  The feature id for the 'Action Time' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__UPDATE_TYPE

    static final int SYBASE_ASE_TRIGGER__UPDATE_TYPE

  The feature id for the 'Update Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__INSERT_TYPE

    static final int SYBASE_ASE_TRIGGER__INSERT_TYPE

  The feature id for the 'Insert Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__DELETE_TYPE

    static final int SYBASE_ASE_TRIGGER__DELETE_TYPE

  The feature id for the 'Delete Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__OLD_ROW

    static final int SYBASE_ASE_TRIGGER__OLD_ROW

  The feature id for the 'Old Row' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__NEW_ROW

    static final int SYBASE_ASE_TRIGGER__NEW_ROW

  The feature id for the 'New Row' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__OLD_TABLE

    static final int SYBASE_ASE_TRIGGER__OLD_TABLE

  The feature id for the 'Old Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__NEW_TABLE

    static final int SYBASE_ASE_TRIGGER__NEW_TABLE

  The feature id for the 'New Table' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER__ENABLED

    static final int SYBASE_ASE_TRIGGER__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASE_TRIGGER_FEATURE_COUNT

    static final int SYBASE_ASE_TRIGGER_FEATURE_COUNT

  The number of structural features of the 'Sybase ASE Trigger' class.

  See Also:
    Constant Field Values

### TRANSACTION_MODE_TYPE

    static final int TRANSACTION_MODE_TYPE

  The meta object id for the '`Transaction Mode Type`' enum.

  See Also:
    `TransactionModeType`, `SybaseasesqlmodelPackageImpl.getTransactionModeType()`, Constant Field Values

### CACHE_STRATEGY_TYPE

    static final int CACHE_STRATEGY_TYPE

  The meta object id for the '`Cache Strategy Type`' enum.

  See Also:
    `CacheStrategyType`, `SybaseasesqlmodelPackageImpl.getCacheStrategyType()`, Constant Field Values

### PROXY_TABLE_EXTERNAL_TYPE

    static final int PROXY_TABLE_EXTERNAL_TYPE

  The meta object id for the '`Proxy Table External Type`' enum.

  See Also:
    `ProxyTableExternalType`, `SybaseasesqlmodelPackageImpl.getProxyTableExternalType()`, Constant Field Values

### ACCESS_RULE_TYPE

    static final int ACCESS_RULE_TYPE

  The meta object id for the '`Access Rule Type`' enum.

  See Also:
    `AccessRuleType`, `SybaseasesqlmodelPackageImpl.getAccessRuleType()`, Constant Field Values

### SYBASE_ASE_CATALOG_TYPE

    static final int SYBASE_ASE_CATALOG_TYPE

  The meta object id for the '`Sybase ASE Catalog Type`' enum.

  See Also:
    `SybaseASECatalogType`, `SybaseasesqlmodelPackageImpl.getSybaseASECatalogType()`, Constant Field Values

### LOCKING_SCHEMA_TYPE

    static final int LOCKING_SCHEMA_TYPE

  The meta object id for the '`Locking Schema Type`' enum.

  See Also:
    `LockingSchemaType`, `SybaseasesqlmodelPackageImpl.getLockingSchemaType()`, Constant Field Values

Method Detail

### getSybaseASESchema

    org.eclipse.emf.ecore.EClass getSybaseASESchema()

  Returns the meta object for class '`Sybase ASE Schema`'.

  Returns:
    the meta object for class 'Sybase ASE Schema'.
  See Also:
    `SybaseASESchema`

### getSybaseASESchema_Defaults

    org.eclipse.emf.ecore.EReference getSybaseASESchema_Defaults()

  Returns the meta object for the reference list '`Defaults`'.

  Returns:
    the meta object for the reference list 'Defaults'.
  See Also:
    `SybaseASESchema.getDefaults()`, `getSybaseASESchema()`

### getSybaseASESchema_Rules

    org.eclipse.emf.ecore.EReference getSybaseASESchema_Rules()

  Returns the meta object for the reference list '`Rules`'.

  Returns:
    the meta object for the reference list 'Rules'.
  See Also:
    `SybaseASESchema.getRules()`, `getSybaseASESchema()`

### getSybaseASESchema_EncryptionKeys

    org.eclipse.emf.ecore.EReference getSybaseASESchema_EncryptionKeys()

  Returns the meta object for the reference list '`Encryption Keys`'.

  Returns:
    the meta object for the reference list 'Encryption Keys'.
  See Also:
    `SybaseASESchema.getEncryptionKeys()`, `getSybaseASESchema()`

### getSybaseASEDatabase

    org.eclipse.emf.ecore.EClass getSybaseASEDatabase()

  Returns the meta object for class '`Sybase ASE Database`'.

  Returns:
    the meta object for class 'Sybase ASE Database'.
  See Also:
    `SybaseASEDatabase`

### getSybaseASEDatabase_DataTypes

    org.eclipse.emf.ecore.EReference getSybaseASEDatabase_DataTypes()

  Returns the meta object for the reference list '`Data Types`'.

  Returns:
    the meta object for the reference list 'Data Types'.
  See Also:
    `SybaseASEDatabase.getDataTypes()`, `getSybaseASEDatabase()`

### getSybaseASEDatabase_EncryptionKeyApplicable

    org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_EncryptionKeyApplicable()

  Returns the meta object for the attribute '`Encryption Key Applicable`'.

  Returns:
    the meta object for the attribute 'Encryption Key Applicable'.
  See Also:
    `SybaseASEDatabase.isEncryptionKeyApplicable()`, `getSybaseASEDatabase()`

### getSybaseASEDatabase_Roles

    org.eclipse.emf.ecore.EReference getSybaseASEDatabase_Roles()

  Returns the meta object for the reference list '`Roles`'.

  Returns:
    the meta object for the reference list 'Roles'.
  See Also:
    `SybaseASEDatabase.getRoles()`, `getSybaseASEDatabase()`

### getSybaseASEDatabase_Caches

    org.eclipse.emf.ecore.EReference getSybaseASEDatabase_Caches()

  Returns the meta object for the containment reference list '`Caches`'.

  Returns:
    the meta object for the containment reference list 'Caches'.
  See Also:
    `SybaseASEDatabase.getCaches()`, `getSybaseASEDatabase()`

### getSybaseASEDatabase_WebServices

    org.eclipse.emf.ecore.EReference getSybaseASEDatabase_WebServices()

  Returns the meta object for the containment reference list '`Web Services`'.

  Returns:
    the meta object for the containment reference list 'Web Services'.
  See Also:
    `SybaseASEDatabase.getWebServices()`, `getSybaseASEDatabase()`

### getSybaseASEDatabase_WebserviceApplicable

    org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_WebserviceApplicable()

  Returns the meta object for the attribute '`Webservice Applicable`'.

  Returns:
    the meta object for the attribute 'Webservice Applicable'.
  See Also:
    `SybaseASEDatabase.isWebserviceApplicable()`, `getSybaseASEDatabase()`

### getSybaseASEDatabase_SdsServer

    org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_SdsServer()

  Returns the meta object for the attribute list '`Sds Server`'.

  Returns:
    the meta object for the attribute list 'Sds Server'.
  See Also:
    `SybaseASEDatabase.getSdsServer()`, `getSybaseASEDatabase()`

### getSybaseASEDatabase_TempDBName

    org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_TempDBName()

  Returns the meta object for the attribute '`Temp DB Name`'.

  Returns:
    the meta object for the attribute 'Temp DB Name'.
  See Also:
    `SybaseASEDatabase.getTempDBName()`, `getSybaseASEDatabase()`

### getSybaseASEWebService

    org.eclipse.emf.ecore.EClass getSybaseASEWebService()

  Returns the meta object for class '`Sybase ASE Web Service`'.

  Returns:
    the meta object for class 'Sybase ASE Web Service'.
  See Also:
    `SybaseASEWebService`

### getSybaseASEWebService_Service_id

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Service_id()

  Returns the meta object for the attribute '`Service id`'.

  Returns:
    the meta object for the attribute 'Service id'.
  See Also:
    `SybaseASEWebService.getService_id()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Service_type

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Service_type()

  Returns the meta object for the attribute '`Service type`'.

  Returns:
    the meta object for the attribute 'Service type'.
  See Also:
    `SybaseASEWebService.getService_type()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Auth_required

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Auth_required()

  Returns the meta object for the attribute '`Auth required`'.

  Returns:
    the meta object for the attribute 'Auth required'.
  See Also:
    `SybaseASEWebService.getAuth_required()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Secure_required

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Secure_required()

  Returns the meta object for the attribute '`Secure required`'.

  Returns:
    the meta object for the attribute 'Secure required'.
  See Also:
    `SybaseASEWebService.getSecure_required()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Url_path

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Url_path()

  Returns the meta object for the attribute '`Url path`'.

  Returns:
    the meta object for the attribute 'Url path'.
  See Also:
    `SybaseASEWebService.getUrl_path()`, `getSybaseASEWebService()`

### getSybaseASEWebService_User_name

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_User_name()

  Returns the meta object for the attribute '`User name`'.

  Returns:
    the meta object for the attribute 'User name'.
  See Also:
    `SybaseASEWebService.getUser_name()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Parameter

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Parameter()

  Returns the meta object for the attribute '`Parameter`'.

  Returns:
    the meta object for the attribute 'Parameter'.
  See Also:
    `SybaseASEWebService.getParameter()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Statement

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Statement()

  Returns the meta object for the attribute '`Statement`'.

  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASEWebService.getStatement()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Remarks

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Remarks()

  Returns the meta object for the attribute '`Remarks`'.

  Returns:
    the meta object for the attribute 'Remarks'.
  See Also:
    `SybaseASEWebService.getRemarks()`, `getSybaseASEWebService()`

### getSybaseASEWebService_Database

    org.eclipse.emf.ecore.EReference getSybaseASEWebService_Database()

  Returns the meta object for the container reference '`Database`'.

  Returns:
    the meta object for the container reference 'Database'.
  See Also:
    `SybaseASEWebService.getDatabase()`, `getSybaseASEWebService()`

### getSybaseASEPredefinedDataType

    org.eclipse.emf.ecore.EClass getSybaseASEPredefinedDataType()

  Returns the meta object for class '`Sybase ASE Predefined Data Type`'.

  Returns:
    the meta object for class 'Sybase ASE Predefined Data Type'.
  See Also:
    `SybaseASEPredefinedDataType`

### getSybaseASEPredefinedDataType_Database

    org.eclipse.emf.ecore.EReference getSybaseASEPredefinedDataType_Database()

  Returns the meta object for the reference '`Database`'.

  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `SybaseASEPredefinedDataType.getDatabase()`, `getSybaseASEPredefinedDataType()`

### getSybaseASECatalog

    org.eclipse.emf.ecore.EClass getSybaseASECatalog()

  Returns the meta object for class '`Sybase ASE Catalog`'.

  Returns:
    the meta object for class 'Sybase ASE Catalog'.
  See Also:
    `SybaseASECatalog`

### getSybaseASECatalog_Segments

    org.eclipse.emf.ecore.EReference getSybaseASECatalog_Segments()

  Returns the meta object for the containment reference list '`Segments`'.

  Returns:
    the meta object for the containment reference list 'Segments'.
  See Also:
    `SybaseASECatalog.getSegments()`, `getSybaseASECatalog()`

### getSybaseASECatalog_DataDevices

    org.eclipse.emf.ecore.EReference getSybaseASECatalog_DataDevices()

  Returns the meta object for the reference list '`Data Devices`'.

  Returns:
    the meta object for the reference list 'Data Devices'.
  See Also:
    `SybaseASECatalog.getDataDevices()`, `getSybaseASECatalog()`

### getSybaseASECatalog_LogDevices

    org.eclipse.emf.ecore.EReference getSybaseASECatalog_LogDevices()

  Returns the meta object for the reference list '`Log Devices`'.

  Returns:
    the meta object for the reference list 'Log Devices'.
  See Also:
    `SybaseASECatalog.getLogDevices()`, `getSybaseASECatalog()`

### getSybaseASECatalog_Override

    org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_Override()

  Returns the meta object for the attribute '`Override`'.

  Returns:
    the meta object for the attribute 'Override'.
  See Also:
    `SybaseASECatalog.isOverride()`, `getSybaseASECatalog()`

### getSybaseASECatalog_DefaultLocation

    org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_DefaultLocation()

  Returns the meta object for the attribute '`Default Location`'.

  Returns:
    the meta object for the attribute 'Default Location'.
  See Also:
    `SybaseASECatalog.getDefaultLocation()`, `getSybaseASECatalog()`

### getSybaseASECatalog_ForLoad

    org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_ForLoad()

  Returns the meta object for the attribute '`For Load`'.

  Returns:
    the meta object for the attribute 'For Load'.
  See Also:
    `SybaseASECatalog.isForLoad()`, `getSybaseASECatalog()`

### getSybaseASECatalog_ForProxyUpdate

    org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_ForProxyUpdate()

  Returns the meta object for the attribute '`For Proxy Update`'.

  Returns:
    the meta object for the attribute 'For Proxy Update'.
  See Also:
    `SybaseASECatalog.isForProxyUpdate()`, `getSybaseASECatalog()`

### getSybaseASECatalog_Cache

    org.eclipse.emf.ecore.EReference getSybaseASECatalog_Cache()

  Returns the meta object for the reference '`Cache`'.

  Returns:
    the meta object for the reference 'Cache'.
  See Also:
    `SybaseASECatalog.getCache()`, `getSybaseASECatalog()`

### getSybaseASECatalog_CatalogType

    org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_CatalogType()

  Returns the meta object for the attribute '`Catalog Type`'.

  Returns:
    the meta object for the attribute 'Catalog Type'.
  See Also:
    `SybaseASECatalog.getCatalogType()`, `getSybaseASECatalog()`

### getSybaseASECatalog_LogIOSize

    org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_LogIOSize()

  Returns the meta object for the attribute '`Log IO Size`'.

  Returns:
    the meta object for the attribute 'Log IO Size'.
  See Also:
    `SybaseASECatalog.getLogIOSize()`, `getSybaseASECatalog()`

### getSybaseASECatalog_RecoveryOrder

    org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_RecoveryOrder()

  Returns the meta object for the attribute '`Recovery Order`'.

  Returns:
    the meta object for the attribute 'Recovery Order'.
  See Also:
    `SybaseASECatalog.getRecoveryOrder()`, `getSybaseASECatalog()`

### getSybaseASECatalog_AuthorizationIds

    org.eclipse.emf.ecore.EReference getSybaseASECatalog_AuthorizationIds()

  Returns the meta object for the reference list '`Authorization Ids`'.

  Returns:
    the meta object for the reference list 'Authorization Ids'.
  See Also:
    `SybaseASECatalog.getAuthorizationIds()`, `getSybaseASECatalog()`

### getSybaseASEProcedure

    org.eclipse.emf.ecore.EClass getSybaseASEProcedure()

  Returns the meta object for class '`Sybase ASE Procedure`'.

  Returns:
    the meta object for class 'Sybase ASE Procedure'.
  See Also:
    `SybaseASEProcedure`

### getSybaseASEProcedure_GroupNumber

    org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_GroupNumber()

  Returns the meta object for the attribute '`Group Number`'.

  Returns:
    the meta object for the attribute 'Group Number'.
  See Also:
    `SybaseASEProcedure.getGroupNumber()`, `getSybaseASEProcedure()`

### getSybaseASEProcedure_TransactionMode

    org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_TransactionMode()

  Returns the meta object for the attribute '`Transaction Mode`'.

  Returns:
    the meta object for the attribute 'Transaction Mode'.
  See Also:
    `SybaseASEProcedure.getTransactionMode()`, `getSybaseASEProcedure()`

### getSybaseASEProcedure_SystemProcedure

    org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_SystemProcedure()

  Returns the meta object for the attribute '`System Procedure`'.

  Returns:
    the meta object for the attribute 'System Procedure'.
  See Also:
    `SybaseASEProcedure.isSystemProcedure()`, `getSybaseASEProcedure()`

### getSybaseASEProcedure_WithRecompile

    org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_WithRecompile()

  Returns the meta object for the attribute '`With Recompile`'.

  Returns:
    the meta object for the attribute 'With Recompile'.
  See Also:
    `SybaseASEProcedure.isWithRecompile()`, `getSybaseASEProcedure()`

### getSybaseASEDefault

    org.eclipse.emf.ecore.EClass getSybaseASEDefault()

  Returns the meta object for class '`Sybase ASE Default`'.

  Returns:
    the meta object for class 'Sybase ASE Default'.
  See Also:
    `SybaseASEDefault`

### getSybaseASEDefault_Schema

    org.eclipse.emf.ecore.EReference getSybaseASEDefault_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `SybaseASEDefault.getSchema()`, `getSybaseASEDefault()`

### getSybaseASEDefault_Statement

    org.eclipse.emf.ecore.EAttribute getSybaseASEDefault_Statement()

  Returns the meta object for the attribute '`Statement`'.

  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASEDefault.getStatement()`, `getSybaseASEDefault()`

### getSybaseASERule

    org.eclipse.emf.ecore.EClass getSybaseASERule()

  Returns the meta object for class '`Sybase ASE Rule`'.

  Returns:
    the meta object for class 'Sybase ASE Rule'.
  See Also:
    `SybaseASERule`

### getSybaseASERule_Schema

    org.eclipse.emf.ecore.EReference getSybaseASERule_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `SybaseASERule.getSchema()`, `getSybaseASERule()`

### getSybaseASERule_Statement

    org.eclipse.emf.ecore.EAttribute getSybaseASERule_Statement()

  Returns the meta object for the attribute '`Statement`'.

  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASERule.getStatement()`, `getSybaseASERule()`

### getSybaseASERule_AccessRule

    org.eclipse.emf.ecore.EAttribute getSybaseASERule_AccessRule()

  Returns the meta object for the attribute '`Access Rule`'.

  Returns:
    the meta object for the attribute 'Access Rule'.
  See Also:
    `SybaseASERule.isAccessRule()`, `getSybaseASERule()`

### getSybaseASERule_AccessType

    org.eclipse.emf.ecore.EAttribute getSybaseASERule_AccessType()

  Returns the meta object for the attribute '`Access Type`'.

  Returns:
    the meta object for the attribute 'Access Type'.
  See Also:
    `SybaseASERule.getAccessType()`, `getSybaseASERule()`

### getSybaseASEIndex

    org.eclipse.emf.ecore.EClass getSybaseASEIndex()

  Returns the meta object for class '`Sybase ASE Index`'.

  Returns:
    the meta object for class 'Sybase ASE Index'.
  See Also:
    `SybaseASEIndex`

### getSybaseASEIndex_MaxRowPerPage

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_MaxRowPerPage()

  Returns the meta object for the attribute '`Max Row Per Page`'.

  Returns:
    the meta object for the attribute 'Max Row Per Page'.
  See Also:
    `SybaseASEIndex.getMaxRowPerPage()`, `getSybaseASEIndex()`

### getSybaseASEIndex_ReversePageGap

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_ReversePageGap()

  Returns the meta object for the attribute '`Reverse Page Gap`'.

  Returns:
    the meta object for the attribute 'Reverse Page Gap'.
  See Also:
    `SybaseASEIndex.getReversePageGap()`, `getSybaseASEIndex()`

### getSybaseASEIndex_IgnoreDuplicateKey

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_IgnoreDuplicateKey()

  Returns the meta object for the attribute '`Ignore Duplicate Key`'.

  Returns:
    the meta object for the attribute 'Ignore Duplicate Key'.
  See Also:
    `SybaseASEIndex.isIgnoreDuplicateKey()`, `getSybaseASEIndex()`

### getSybaseASEIndex_SortedData

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_SortedData()

  Returns the meta object for the attribute '`Sorted Data`'.

  Returns:
    the meta object for the attribute 'Sorted Data'.
  See Also:
    `SybaseASEIndex.isSortedData()`, `getSybaseASEIndex()`

### getSybaseASEIndex_IgnoreDuplicateRow

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_IgnoreDuplicateRow()

  Returns the meta object for the attribute '`Ignore Duplicate Row`'.

  Returns:
    the meta object for the attribute 'Ignore Duplicate Row'.
  See Also:
    `SybaseASEIndex.isIgnoreDuplicateRow()`, `getSybaseASEIndex()`

### getSybaseASEIndex_Segment

    org.eclipse.emf.ecore.EReference getSybaseASEIndex_Segment()

  Returns the meta object for the reference '`Segment`'.

  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `SybaseASEIndex.getSegment()`, `getSybaseASEIndex()`

### getSybaseASEIndex_LocalIndex

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_LocalIndex()

  Returns the meta object for the attribute '`Local Index`'.

  Returns:
    the meta object for the attribute 'Local Index'.
  See Also:
    `SybaseASEIndex.isLocalIndex()`, `getSybaseASEIndex()`

### getSybaseASEIndex_Partitions

    org.eclipse.emf.ecore.EReference getSybaseASEIndex_Partitions()

  Returns the meta object for the containment reference list '`Partitions`'.

  Returns:
    the meta object for the containment reference list 'Partitions'.
  See Also:
    `SybaseASEIndex.getPartitions()`, `getSybaseASEIndex()`

### getSybaseASEIndex_ConsumerNum

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_ConsumerNum()

  Returns the meta object for the attribute '`Consumer Num`'.

  Returns:
    the meta object for the attribute 'Consumer Num'.
  See Also:
    `SybaseASEIndex.getConsumerNum()`, `getSybaseASEIndex()`

### getSybaseASEIndex_StatisticsStep

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_StatisticsStep()

  Returns the meta object for the attribute '`Statistics Step`'.

  Returns:
    the meta object for the attribute 'Statistics Step'.
  See Also:
    `SybaseASEIndex.getStatisticsStep()`, `getSybaseASEIndex()`

### getSybaseASEIndex_AllowDuplicateRow

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_AllowDuplicateRow()

  Returns the meta object for the attribute '`Allow Duplicate Row`'.

  Returns:
    the meta object for the attribute 'Allow Duplicate Row'.
  See Also:
    `SybaseASEIndex.isAllowDuplicateRow()`, `getSybaseASEIndex()`

### getSybaseASEIndex_Suspect

    org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_Suspect()

  Returns the meta object for the attribute '`Suspect`'.

  Returns:
    the meta object for the attribute 'Suspect'.
  See Also:
    `SybaseASEIndex.isSuspect()`, `getSybaseASEIndex()`

### getSybaseASEIndex_CacheInfo

    org.eclipse.emf.ecore.EReference getSybaseASEIndex_CacheInfo()

  Returns the meta object for the containment reference '`Cache Info`'.

  Returns:
    the meta object for the containment reference 'Cache Info'.
  See Also:
    `SybaseASEIndex.getCacheInfo()`, `getSybaseASEIndex()`

### getSybaseASESegment

    org.eclipse.emf.ecore.EClass getSybaseASESegment()

  Returns the meta object for class '`Sybase ASE Segment`'.

  Returns:
    the meta object for class 'Sybase ASE Segment'.
  See Also:
    `SybaseASESegment`

### getSybaseASESegment_Catalog

    org.eclipse.emf.ecore.EReference getSybaseASESegment_Catalog()

  Returns the meta object for the container reference '`Catalog`'.

  Returns:
    the meta object for the container reference 'Catalog'.
  See Also:
    `SybaseASESegment.getCatalog()`, `getSybaseASESegment()`

### getSybaseASESegment_DeviceNames

    org.eclipse.emf.ecore.EAttribute getSybaseASESegment_DeviceNames()

  Returns the meta object for the attribute list '`Device Names`'.

  Returns:
    the meta object for the attribute list 'Device Names'.
  See Also:
    `SybaseASESegment.getDeviceNames()`, `getSybaseASESegment()`

### getSybaseASESegment_Thresholds

    org.eclipse.emf.ecore.EReference getSybaseASESegment_Thresholds()

  Returns the meta object for the reference list '`Thresholds`'.

  Returns:
    the meta object for the reference list 'Thresholds'.
  See Also:
    `SybaseASESegment.getThresholds()`, `getSybaseASESegment()`

### getSybaseASEFuncBasedIndexMember

    org.eclipse.emf.ecore.EClass getSybaseASEFuncBasedIndexMember()

  Returns the meta object for class '`Sybase ASE Func Based Index Member`'.

  Returns:
    the meta object for class 'Sybase ASE Func Based Index Member'.
  See Also:
    `SybaseASEFuncBasedIndexMember`

### getSybaseASETable

    org.eclipse.emf.ecore.EClass getSybaseASETable()

  Returns the meta object for class '`Sybase ASE Table`'.

  Returns:
    the meta object for class 'Sybase ASE Table'.
  See Also:
    `SybaseASETable`

### getSybaseASEColumnCheckConstraint

    org.eclipse.emf.ecore.EClass getSybaseASEColumnCheckConstraint()

  Returns the meta object for class '`Sybase ASE Column Check Constraint`'.

  Returns:
    the meta object for class 'Sybase ASE Column Check Constraint'.
  See Also:
    `SybaseASEColumnCheckConstraint`

### getSybaseASEColumnCheckConstraint_Column

    org.eclipse.emf.ecore.EReference getSybaseASEColumnCheckConstraint_Column()

  Returns the meta object for the reference '`Column`'.

  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `SybaseASEColumnCheckConstraint.getColumn()`, `getSybaseASEColumnCheckConstraint()`

### getSybaseASEColumn

    org.eclipse.emf.ecore.EClass getSybaseASEColumn()

  Returns the meta object for class '`Sybase ASE Column`'.

  Returns:
    the meta object for class 'Sybase ASE Column'.
  See Also:
    `SybaseASEColumn`

### getSybaseASEColumn_ColumnCheck

    org.eclipse.emf.ecore.EReference getSybaseASEColumn_ColumnCheck()

  Returns the meta object for the reference '`Column Check`'.

  Returns:
    the meta object for the reference 'Column Check'.
  See Also:
    `SybaseASEColumn.getColumnCheck()`, `getSybaseASEColumn()`

### getSybaseASEColumn_BoundDefault

    org.eclipse.emf.ecore.EReference getSybaseASEColumn_BoundDefault()

  Returns the meta object for the reference '`Bound Default`'.

  Returns:
    the meta object for the reference 'Bound Default'.
  See Also:
    `SybaseASEColumn.getBoundDefault()`, `getSybaseASEColumn()`

### getSybaseASEColumn_BoundRule

    org.eclipse.emf.ecore.EReference getSybaseASEColumn_BoundRule()

  Returns the meta object for the reference '`Bound Rule`'.

  Returns:
    the meta object for the reference 'Bound Rule'.
  See Also:
    `SybaseASEColumn.getBoundRule()`, `getSybaseASEColumn()`

### getSybaseASEColumn_Materialized

    org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_Materialized()

  Returns the meta object for the attribute '`Materialized`'.

  Returns:
    the meta object for the attribute 'Materialized'.
  See Also:
    `SybaseASEColumn.isMaterialized()`, `getSybaseASEColumn()`

### getSybaseASEColumn_EncryptionKey

    org.eclipse.emf.ecore.EReference getSybaseASEColumn_EncryptionKey()

  Returns the meta object for the reference '`Encryption Key`'.

  Returns:
    the meta object for the reference 'Encryption Key'.
  See Also:
    `SybaseASEColumn.getEncryptionKey()`, `getSybaseASEColumn()`

### getSybaseASEColumn_BindDefaultInFutureOnly

    org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_BindDefaultInFutureOnly()

  Returns the meta object for the attribute '`Bind Default In Future Only`'.

  Returns:
    the meta object for the attribute 'Bind Default In Future Only'.
  See Also:
    `SybaseASEColumn.isBindDefaultInFutureOnly()`, `getSybaseASEColumn()`

### getSybaseASEColumn_BindRuleInFutureOnly

    org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_BindRuleInFutureOnly()

  Returns the meta object for the attribute '`Bind Rule In Future Only`'.

  Returns:
    the meta object for the attribute 'Bind Rule In Future Only'.
  See Also:
    `SybaseASEColumn.isBindRuleInFutureOnly()`, `getSybaseASEColumn()`

### getSybaseASEColumn_Hidden

    org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_Hidden()

  Returns the meta object for the attribute '`Hidden`'.

  Returns:
    the meta object for the attribute 'Hidden'.
  See Also:
    `SybaseASEColumn.isHidden()`, `getSybaseASEColumn()`

### getSybaseASEUniqueConstraint

    org.eclipse.emf.ecore.EClass getSybaseASEUniqueConstraint()

  Returns the meta object for class '`Sybase ASE Unique Constraint`'.

  Returns:
    the meta object for class 'Sybase ASE Unique Constraint'.
  See Also:
    `SybaseASEUniqueConstraint`

### getSybaseASEUniqueConstraint_SystemGenedIndex

    org.eclipse.emf.ecore.EReference getSybaseASEUniqueConstraint_SystemGenedIndex()

  Returns the meta object for the containment reference '`System Gened Index`'.

  Returns:
    the meta object for the containment reference 'System Gened Index'.
  See Also:
    `SybaseASEUniqueConstraint.getSystemGenedIndex()`, `getSybaseASEUniqueConstraint()`

### getSybaseASEUniqueConstraint_SystemGenedName

    org.eclipse.emf.ecore.EAttribute getSybaseASEUniqueConstraint_SystemGenedName()

  Returns the meta object for the attribute '`System Gened Name`'.

  Returns:
    the meta object for the attribute 'System Gened Name'.
  See Also:
    `SybaseASEUniqueConstraint.isSystemGenedName()`, `getSybaseASEUniqueConstraint()`

### getSybaseASEPrimaryKey

    org.eclipse.emf.ecore.EClass getSybaseASEPrimaryKey()

  Returns the meta object for class '`Sybase ASE Primary Key`'.

  Returns:
    the meta object for class 'Sybase ASE Primary Key'.
  See Also:
    `SybaseASEPrimaryKey`

### getSybaseASEPrimaryKey_AseUniqueConstraint

    org.eclipse.emf.ecore.EReference getSybaseASEPrimaryKey_AseUniqueConstraint()

  Returns the meta object for the containment reference '`Ase Unique Constraint`'.

  Returns:
    the meta object for the containment reference 'Ase Unique Constraint'.
  See Also:
    `SybaseASEPrimaryKey.getAseUniqueConstraint()`, `getSybaseASEPrimaryKey()`

### getDeviceItem

    org.eclipse.emf.ecore.EClass getDeviceItem()

  Returns the meta object for class '`Device Item`'.

  Returns:
    the meta object for class 'Device Item'.
  See Also:
    `DeviceItem`

### getDeviceItem_DeviceName

    org.eclipse.emf.ecore.EAttribute getDeviceItem_DeviceName()

  Returns the meta object for the attribute '`Device Name`'.

  Returns:
    the meta object for the attribute 'Device Name'.
  See Also:
    `DeviceItem.getDeviceName()`, `getDeviceItem()`

### getDeviceItem_Size

    org.eclipse.emf.ecore.EAttribute getDeviceItem_Size()

  Returns the meta object for the attribute '`Size`'.

  Returns:
    the meta object for the attribute 'Size'.
  See Also:
    `DeviceItem.getSize()`, `getDeviceItem()`

### getSegmentThreshold

    org.eclipse.emf.ecore.EClass getSegmentThreshold()

  Returns the meta object for class '`Segment Threshold`'.

  Returns:
    the meta object for class 'Segment Threshold'.
  See Also:
    `SegmentThreshold`

### getSegmentThreshold_ProcedureName

    org.eclipse.emf.ecore.EAttribute getSegmentThreshold_ProcedureName()

  Returns the meta object for the attribute '`Procedure Name`'.

  Returns:
    the meta object for the attribute 'Procedure Name'.
  See Also:
    `SegmentThreshold.getProcedureName()`, `getSegmentThreshold()`

### getSegmentThreshold_FreeSpace

    org.eclipse.emf.ecore.EAttribute getSegmentThreshold_FreeSpace()

  Returns the meta object for the attribute '`Free Space`'.

  Returns:
    the meta object for the attribute 'Free Space'.
  See Also:
    `SegmentThreshold.getFreeSpace()`, `getSegmentThreshold()`

### getCacheInfo

    org.eclipse.emf.ecore.EClass getCacheInfo()

  Returns the meta object for class '`Cache Info`'.

  Returns:
    the meta object for class 'Cache Info'.
  See Also:
    `CacheInfo`

### getCacheInfo_CacheStrategy

    org.eclipse.emf.ecore.EAttribute getCacheInfo_CacheStrategy()

  Returns the meta object for the attribute '`Cache Strategy`'.

  Returns:
    the meta object for the attribute 'Cache Strategy'.
  See Also:
    `CacheInfo.getCacheStrategy()`, `getCacheInfo()`

### getCacheInfo_Cache

    org.eclipse.emf.ecore.EReference getCacheInfo_Cache()

  Returns the meta object for the reference '`Cache`'.

  Returns:
    the meta object for the reference 'Cache'.
  See Also:
    `CacheInfo.getCache()`, `getCacheInfo()`

### getSybaseASEUserDefinedType

    org.eclipse.emf.ecore.EClass getSybaseASEUserDefinedType()

  Returns the meta object for class '`Sybase ASE User Defined Type`'.

  Returns:
    the meta object for class 'Sybase ASE User Defined Type'.
  See Also:
    `SybaseASEUserDefinedType`

### getSybaseASEUserDefinedType_BoundDefault

    org.eclipse.emf.ecore.EReference getSybaseASEUserDefinedType_BoundDefault()

  Returns the meta object for the reference '`Bound Default`'.

  Returns:
    the meta object for the reference 'Bound Default'.
  See Also:
    `SybaseASEUserDefinedType.getBoundDefault()`, `getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_BoundRule

    org.eclipse.emf.ecore.EReference getSybaseASEUserDefinedType_BoundRule()

  Returns the meta object for the reference '`Bound Rule`'.

  Returns:
    the meta object for the reference 'Bound Rule'.
  See Also:
    `SybaseASEUserDefinedType.getBoundRule()`, `getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_BindDefaultInFutureOnly

    org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_BindDefaultInFutureOnly()

  Returns the meta object for the attribute '`Bind Default In Future Only`'.

  Returns:
    the meta object for the attribute 'Bind Default In Future Only'.
  See Also:
    `SybaseASEUserDefinedType.isBindDefaultInFutureOnly()`, `getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_BindRuleInFutureOnly

    org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_BindRuleInFutureOnly()

  Returns the meta object for the attribute '`Bind Rule In Future Only`'.

  Returns:
    the meta object for the attribute 'Bind Rule In Future Only'.
  See Also:
    `SybaseASEUserDefinedType.isBindRuleInFutureOnly()`, `getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_AllowNulls

    org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_AllowNulls()

  Returns the meta object for the attribute '`Allow Nulls`'.

  Returns:
    the meta object for the attribute 'Allow Nulls'.
  See Also:
    `SybaseASEUserDefinedType.isAllowNulls()`, `getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_Identity

    org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_Identity()

  Returns the meta object for the attribute '`Identity`'.

  Returns:
    the meta object for the attribute 'Identity'.
  See Also:
    `SybaseASEUserDefinedType.isIdentity()`, `getSybaseASEUserDefinedType()`

### getSybaseASEEncryptionKey

    org.eclipse.emf.ecore.EClass getSybaseASEEncryptionKey()

  Returns the meta object for class '`Sybase ASE Encryption Key`'.

  Returns:
    the meta object for class 'Sybase ASE Encryption Key'.
  See Also:
    `SybaseASEEncryptionKey`

### getSybaseASEEncryptionKey_Schema

    org.eclipse.emf.ecore.EReference getSybaseASEEncryptionKey_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `SybaseASEEncryptionKey.getSchema()`, `getSybaseASEEncryptionKey()`

### getLockPromotionInfo

    org.eclipse.emf.ecore.EClass getLockPromotionInfo()

  Returns the meta object for class '`Lock Promotion Info`'.

  Returns:
    the meta object for class 'Lock Promotion Info'.
  See Also:
    `LockPromotionInfo`

### getLockPromotionInfo_RowLockPromotion

    org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_RowLockPromotion()

  Returns the meta object for the attribute '`Row Lock Promotion`'.

  Returns:
    the meta object for the attribute 'Row Lock Promotion'.
  See Also:
    `LockPromotionInfo.isRowLockPromotion()`, `getLockPromotionInfo()`

### getLockPromotionInfo_LWM

    org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_LWM()

  Returns the meta object for the attribute '`LWM`'.

  Returns:
    the meta object for the attribute 'LWM'.
  See Also:
    `LockPromotionInfo.getLWM()`, `getLockPromotionInfo()`

### getLockPromotionInfo_HWM

    org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_HWM()

  Returns the meta object for the attribute '`HWM`'.

  Returns:
    the meta object for the attribute 'HWM'.
  See Also:
    `LockPromotionInfo.getHWM()`, `getLockPromotionInfo()`

### getLockPromotionInfo_PCT

    org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_PCT()

  Returns the meta object for the attribute '`PCT`'.

  Returns:
    the meta object for the attribute 'PCT'.
  See Also:
    `LockPromotionInfo.getPCT()`, `getLockPromotionInfo()`

### getSybaseASERole

    org.eclipse.emf.ecore.EClass getSybaseASERole()

  Returns the meta object for class '`Sybase ASE Role`'.

  Returns:
    the meta object for class 'Sybase ASE Role'.
  See Also:
    `SybaseASERole`

### getSybaseASECache

    org.eclipse.emf.ecore.EClass getSybaseASECache()

  Returns the meta object for class '`Sybase ASE Cache`'.

  Returns:
    the meta object for class 'Sybase ASE Cache'.
  See Also:
    `SybaseASECache`

### getSybaseASECache_Database

    org.eclipse.emf.ecore.EReference getSybaseASECache_Database()

  Returns the meta object for the container reference '`Database`'.

  Returns:
    the meta object for the container reference 'Database'.
  See Also:
    `SybaseASECache.getDatabase()`, `getSybaseASECache()`

### getSybaseASEViewTable

    org.eclipse.emf.ecore.EClass getSybaseASEViewTable()

  Returns the meta object for class '`Sybase ASE View Table`'.

  Returns:
    the meta object for class 'Sybase ASE View Table'.
  See Also:
    `SybaseASEViewTable`

### getSybaseASEViewTable_WithCheckOption

    org.eclipse.emf.ecore.EAttribute getSybaseASEViewTable_WithCheckOption()

  Returns the meta object for the attribute '`With Check Option`'.

  Returns:
    the meta object for the attribute 'With Check Option'.
  See Also:
    `SybaseASEViewTable.isWithCheckOption()`, `getSybaseASEViewTable()`

### getSybaseASETempTable

    org.eclipse.emf.ecore.EClass getSybaseASETempTable()

  Returns the meta object for class '`Sybase ASE Temp Table`'.

  Returns:
    the meta object for class 'Sybase ASE Temp Table'.
  See Also:
    `SybaseASETempTable`

### getSybaseASEProxyTable

    org.eclipse.emf.ecore.EClass getSybaseASEProxyTable()

  Returns the meta object for class '`Sybase ASE Proxy Table`'.

  Returns:
    the meta object for class 'Sybase ASE Proxy Table'.
  See Also:
    `SybaseASEProxyTable`

### getSybaseASEProxyTable_ExternalType

    org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_ExternalType()

  Returns the meta object for the attribute '`External Type`'.

  Returns:
    the meta object for the attribute 'External Type'.
  See Also:
    `SybaseASEProxyTable.getExternalType()`, `getSybaseASEProxyTable()`

### getSybaseASEProxyTable_Existing

    org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_Existing()

  Returns the meta object for the attribute '`Existing`'.

  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `SybaseASEProxyTable.isExisting()`, `getSybaseASEProxyTable()`

### getSybaseASEProxyTable_ColumnDelimiter

    org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_ColumnDelimiter()

  Returns the meta object for the attribute '`Column Delimiter`'.

  Returns:
    the meta object for the attribute 'Column Delimiter'.
  See Also:
    `SybaseASEProxyTable.getColumnDelimiter()`, `getSybaseASEProxyTable()`

### getSybaseASEProxyTable_ExternalPath

    org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_ExternalPath()

  Returns the meta object for the attribute '`External Path`'.

  Returns:
    the meta object for the attribute 'External Path'.
  See Also:
    `SybaseASEProxyTable.getExternalPath()`, `getSybaseASEProxyTable()`

### getSybaseASEWebServiceTable

    org.eclipse.emf.ecore.EClass getSybaseASEWebServiceTable()

  Returns the meta object for class '`Sybase ASE Web Service Table`'.

  Returns:
    the meta object for class 'Sybase ASE Web Service Table'.
  See Also:
    `SybaseASEWebServiceTable`

### getSybaseASEWebServiceTable_Method

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebServiceTable_Method()

  Returns the meta object for the attribute '`Method`'.

  Returns:
    the meta object for the attribute 'Method'.
  See Also:
    `SybaseASEWebServiceTable.getMethod()`, `getSybaseASEWebServiceTable()`

### getSybaseASEWebServiceTable_WSDLURI

    org.eclipse.emf.ecore.EAttribute getSybaseASEWebServiceTable_WSDLURI()

  Returns the meta object for the attribute '`WSDLURI`'.

  Returns:
    the meta object for the attribute 'WSDLURI'.
  See Also:
    `SybaseASEWebServiceTable.getWSDLURI()`, `getSybaseASEWebServiceTable()`

### getSybaseASEBaseTable

    org.eclipse.emf.ecore.EClass getSybaseASEBaseTable()

  Returns the meta object for class '`Sybase ASE Base Table`'.

  Returns:
    the meta object for class 'Sybase ASE Base Table'.
  See Also:
    `SybaseASEBaseTable`

### getSybaseASEBaseTable_LockSchema

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_LockSchema()

  Returns the meta object for the attribute '`Lock Schema`'.

  Returns:
    the meta object for the attribute 'Lock Schema'.
  See Also:
    `SybaseASEBaseTable.getLockSchema()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_FillFactor

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_FillFactor()

  Returns the meta object for the attribute '`Fill Factor`'.

  Returns:
    the meta object for the attribute 'Fill Factor'.
  See Also:
    `SybaseASEBaseTable.getFillFactor()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_MaxRowPerPage

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_MaxRowPerPage()

  Returns the meta object for the attribute '`Max Row Per Page`'.

  Returns:
    the meta object for the attribute 'Max Row Per Page'.
  See Also:
    `SybaseASEBaseTable.getMaxRowPerPage()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_ExpRowSize

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_ExpRowSize()

  Returns the meta object for the attribute '`Exp Row Size`'.

  Returns:
    the meta object for the attribute 'Exp Row Size'.
  See Also:
    `SybaseASEBaseTable.getExpRowSize()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_ReservePageGap

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_ReservePageGap()

  Returns the meta object for the attribute '`Reserve Page Gap`'.

  Returns:
    the meta object for the attribute 'Reserve Page Gap'.
  See Also:
    `SybaseASEBaseTable.getReservePageGap()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_IdentityGap

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_IdentityGap()

  Returns the meta object for the attribute '`Identity Gap`'.

  Returns:
    the meta object for the attribute 'Identity Gap'.
  See Also:
    `SybaseASEBaseTable.getIdentityGap()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_Segment

    org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_Segment()

  Returns the meta object for the reference '`Segment`'.

  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `SybaseASEBaseTable.getSegment()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_ConcurrencyOptThreshold

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_ConcurrencyOptThreshold()

  Returns the meta object for the attribute '`Concurrency Opt Threshold`'.

  Returns:
    the meta object for the attribute 'Concurrency Opt Threshold'.
  See Also:
    `SybaseASEBaseTable.getConcurrencyOptThreshold()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_PartitionCondition

    org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_PartitionCondition()

  Returns the meta object for the containment reference '`Partition Condition`'.

  Returns:
    the meta object for the containment reference 'Partition Condition'.
  See Also:
    `SybaseASEBaseTable.getPartitionCondition()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_TableOnlyCacheInfo

    org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_TableOnlyCacheInfo()

  Returns the meta object for the containment reference '`Table Only Cache Info`'.

  Returns:
    the meta object for the containment reference 'Table Only Cache Info'.
  See Also:
    `SybaseASEBaseTable.getTableOnlyCacheInfo()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_TextOnlyCacheInfo

    org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_TextOnlyCacheInfo()

  Returns the meta object for the containment reference '`Text Only Cache Info`'.

  Returns:
    the meta object for the containment reference 'Text Only Cache Info'.
  See Also:
    `SybaseASEBaseTable.getTextOnlyCacheInfo()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_LockPromotion

    org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_LockPromotion()

  Returns the meta object for the containment reference list '`Lock Promotion`'.

  Returns:
    the meta object for the containment reference list 'Lock Promotion'.
  See Also:
    `SybaseASEBaseTable.getLockPromotion()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_Partitions

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_Partitions()

  Returns the meta object for the attribute '`Partitions`'.

  Returns:
    the meta object for the attribute 'Partitions'.
  See Also:
    `SybaseASEBaseTable.getPartitions()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_TextImageSegment

    org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_TextImageSegment()

  Returns the meta object for the reference '`Text Image Segment`'.

  Returns:
    the meta object for the reference 'Text Image Segment'.
  See Also:
    `SybaseASEBaseTable.getTextImageSegment()`, `getSybaseASEBaseTable()`

### getSybaseASEBaseTable_SystemTable

    org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_SystemTable()

  Returns the meta object for the attribute '`System Table`'.

  Returns:
    the meta object for the attribute 'System Table'.
  See Also:
    `SybaseASEBaseTable.isSystemTable()`, `getSybaseASEBaseTable()`

### getSybaseASEUser

    org.eclipse.emf.ecore.EClass getSybaseASEUser()

  Returns the meta object for class '`Sybase ASE User`'.

  Returns:
    the meta object for class 'Sybase ASE User'.
  See Also:
    `SybaseASEUser`

### getSybaseASEUser_LoginName

    org.eclipse.emf.ecore.EAttribute getSybaseASEUser_LoginName()

  Returns the meta object for the attribute '`Login Name`'.

  Returns:
    the meta object for the attribute 'Login Name'.
  See Also:
    `SybaseASEUser.getLoginName()`, `getSybaseASEUser()`

### getSybaseASEGroup

    org.eclipse.emf.ecore.EClass getSybaseASEGroup()

  Returns the meta object for class '`Sybase ASE Group`'.

  Returns:
    the meta object for class 'Sybase ASE Group'.
  See Also:
    `SybaseASEGroup`

### getSybaseASEPrivilege

    org.eclipse.emf.ecore.EClass getSybaseASEPrivilege()

  Returns the meta object for class '`Sybase ASE Privilege`'.

  Returns:
    the meta object for class 'Sybase ASE Privilege'.
  See Also:
    `SybaseASEPrivilege`

### getSybaseASETrigger

    org.eclipse.emf.ecore.EClass getSybaseASETrigger()

  Returns the meta object for class '`Sybase ASE Trigger`'.

  Returns:
    the meta object for class 'Sybase ASE Trigger'.
  See Also:
    `SybaseASETrigger`

### getSybaseASETrigger_Enabled

    org.eclipse.emf.ecore.EAttribute getSybaseASETrigger_Enabled()

  Returns the meta object for the attribute '`Enabled`'.

  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `SybaseASETrigger.isEnabled()`, `getSybaseASETrigger()`

### getSybaseASECheckConstraint

    org.eclipse.emf.ecore.EClass getSybaseASECheckConstraint()

  Returns the meta object for class '`Sybase ASE Check Constraint`'.

  Returns:
    the meta object for class 'Sybase ASE Check Constraint'.
  See Also:
    `SybaseASECheckConstraint`

### getSybaseASECheckConstraint_Creator

    org.eclipse.emf.ecore.EReference getSybaseASECheckConstraint_Creator()

  Returns the meta object for the reference '`Creator`'.

  Returns:
    the meta object for the reference 'Creator'.
  See Also:
    `SybaseASECheckConstraint.getCreator()`, `getSybaseASECheckConstraint()`

### getTransactionModeType

    org.eclipse.emf.ecore.EEnum getTransactionModeType()

  Returns the meta object for enum '`Transaction Mode Type`'.

  Returns:
    the meta object for enum 'Transaction Mode Type'.
  See Also:
    `TransactionModeType`

### getCacheStrategyType

    org.eclipse.emf.ecore.EEnum getCacheStrategyType()

  Returns the meta object for enum '`Cache Strategy Type`'.

  Returns:
    the meta object for enum 'Cache Strategy Type'.
  See Also:
    `CacheStrategyType`

### getProxyTableExternalType

    org.eclipse.emf.ecore.EEnum getProxyTableExternalType()

  Returns the meta object for enum '`Proxy Table External Type`'.

  Returns:
    the meta object for enum 'Proxy Table External Type'.
  See Also:
    `ProxyTableExternalType`

### getAccessRuleType

    org.eclipse.emf.ecore.EEnum getAccessRuleType()

  Returns the meta object for enum '`Access Rule Type`'.

  Returns:
    the meta object for enum 'Access Rule Type'.
  See Also:
    `AccessRuleType`

### getSybaseASECatalogType

    org.eclipse.emf.ecore.EEnum getSybaseASECatalogType()

  Returns the meta object for enum '`Sybase ASE Catalog Type`'.

  Returns:
    the meta object for enum 'Sybase ASE Catalog Type'.
  See Also:
    `SybaseASECatalogType`

### getLockingSchemaType

    org.eclipse.emf.ecore.EEnum getLockingSchemaType()

  Returns the meta object for enum '`Locking Schema Type`'.

  Returns:
    the meta object for enum 'Locking Schema Type'.
  See Also:
    `LockingSchemaType`

### getSybaseasesqlmodelFactory

    SybaseasesqlmodelFactory getSybaseasesqlmodelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.